/* This file was generated by SableCC (http://www.sablecc.org/). */

package de.be4.classicalb.core.parser.lexer;

import java.io.*;
import java.util.*;
import de.be4.classicalb.core.parser.node.*;
import de.hhu.stups.sablecc.patch.*;
import java.util.concurrent.LinkedBlockingQueue;

@SuppressWarnings({"unused"}) 
public class Lexer implements ITokenListContainer
{
    protected Token token;
    protected State state = State.SECTION;

    private PushbackReader in;
    private int line;
    private int pos;
    private boolean cr;
    private boolean eof;
    private final StringBuffer text = new StringBuffer();
    
	private List<IToken> tokenList;
    private final Queue<IToken> nextList = new LinkedBlockingQueue<IToken>();

	private IToken tok;

    public Queue<IToken> getNextList() {
        return nextList;
    }

	public List<IToken> getTokenList() {
		return tokenList;
	}
	
	private void setToken(Token t) {
	  tok = t;
   	  token = t;	
	}
	
	
	public void setTokenList(final List<IToken> list) {
		tokenList = list;
	}

     
    protected void filter() throws LexerException, IOException
    {
        // Do nothing
    }

    protected void filterWrap() throws LexerException, IOException
    {
       filter();
       if (token != null) {
	          getTokenList().add(token); 
              nextList.add(token);
	   }
    }


    public Lexer(  PushbackReader in)
    {
        this.in = in;
    	setTokenList(new ArrayList<IToken>());
    }
    
    public Token peek() throws LexerException, IOException
    {
        while(this.token == null)
        {
            this.setToken(getToken());
            filterWrap();
        }

        return (Token) nextList.peek();
    }

    public Token next() throws LexerException, IOException
    {
        while(this.token == null)
        {
            this.setToken(getToken());
            filterWrap();
        }

        Token result = (Token) nextList.poll();
        this.setToken(null);
        return result;
    }

    protected Token getToken() throws IOException, LexerException
    {
        int dfa_state = 0;

        int start_pos = this.pos;
        int start_line = this.line;

        int accept_state = -1;
        int accept_token = -1;
        int accept_length = -1;
        int accept_pos = -1;
        int accept_line = -1;

          int[][][] gotoTable = Lexer.gotoTable[this.state.id()];
          int[] accept = Lexer.accept[this.state.id()];
        this.text.setLength(0);

        while(true)
        {
            int c = getChar();

            if(c != -1)
            {
                switch(c)
                {
                case 10:
                    if(this.cr)
                    {
                        this.cr = false;
                    }
                    else
                    {
                        this.line++;
                        this.pos = 0;
                    }
                    break;
                case 13:
                    this.line++;
                    this.pos = 0;
                    this.cr = true;
                    break;
                default:
                    this.pos++;
                    this.cr = false;
                    break;
                }

                this.text.append((char) c);

                do
                {
                    int oldState = (dfa_state < -1) ? (-2 -dfa_state) : dfa_state;

                    dfa_state = -1;

                    int[][] tmp1 =  gotoTable[oldState];
                    int low = 0;
                    int high = tmp1.length - 1;

                    while(low <= high)
                    {
                        int middle = (low + high) / 2;
                        int[] tmp2 = tmp1[middle];

                        if(c < tmp2[0])
                        {
                            high = middle - 1;
                        }
                        else if(c > tmp2[1])
                        {
                            low = middle + 1;
                        }
                        else
                        {
                            dfa_state = tmp2[2];
                            break;
                        }
                    }
                }while(dfa_state < -1);
            }
            else
            {
                dfa_state = -1;
            }

            if(dfa_state >= 0)
            {
                if(accept[dfa_state] != -1)
                {
                    accept_state = dfa_state;
                    accept_token = accept[dfa_state];
                    accept_length = this.text.length();
                    accept_pos = this.pos;
                    accept_line = this.line;
                }
            }
            else
            {
                if(accept_state != -1)
                {
                    switch(accept_token)
                    {
                    case 0:
                        {
                              Token token = new0(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.SHEBANG; break;
                                case 0: state = State.SHEBANG; break;
                                case 4: state = State.SHEBANG; break;
                            }
                            return token;
                        }
                    case 1:
                        {
                              Token token = new1(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 2:
                        {
                              Token token = new2(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.SHEBANG; break;
                            }
                            return token;
                        }
                    case 3:
                        {
                              Token token = new3(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.SECTION; break;
                            }
                            return token;
                        }
                    case 4:
                        {
                              Token token = new4(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.PRAGMA; break;
                                case 0: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 5:
                        {
                              Token token = new5(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.NORMAL; break;
                                case 7: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 6:
                        {
                              Token token = new6(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 7:
                        {
                              Token token = new7(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 8:
                        {
                              Token token = new8(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 9:
                        {
                              Token token = new9(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 10:
                        {
                              Token token = new10(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 11:
                        {
                              Token token = new11(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 12:
                        {
                              Token token = new12(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 13:
                        {
                              Token token = new13(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 14:
                        {
                              Token token = new14(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 15:
                        {
                              Token token = new15(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 16:
                        {
                              Token token = new16(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.DESCRIPTION; break;
                            }
                            return token;
                        }
                    case 17:
                        {
                              Token token = new17(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 18:
                        {
                              Token token = new18(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 19:
                        {
                              Token token = new19(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 6: state = State.DESCRIPTION; break;
                            }
                            return token;
                        }
                    case 20:
                        {
                              Token token = new20(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 7: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 21:
                        {
                              Token token = new21(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 7: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 22:
                        {
                              Token token = new22(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.COMMENT; break;
                                case 0: state = State.COMMENT; break;
                            }
                            return token;
                        }
                    case 23:
                        {
                              Token token = new23(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 2: state = State.COMMENT; break;
                                case 6: state = State.DESCRIPTION; break;
                            }
                            return token;
                        }
                    case 24:
                        {
                              Token token = new24(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 2: state = State.COMMENT; break;
                            }
                            return token;
                        }
                    case 25:
                        {
                              Token token = new25(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 2: state = State.COMMENT; break;
                                case 6: state = State.DESCRIPTION; break;
                            }
                            return token;
                        }
                    case 26:
                        {
                              Token token = new26(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 2: state = State.COMMENT; break;
                                case 6: state = State.DESCRIPTION; break;
                            }
                            return token;
                        }
                    case 27:
                        {
                              Token token = new27(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.MULTILINE_STRING_STATE; break;
                                case 0: state = State.MULTILINE_STRING_STATE; break;
                            }
                            return token;
                        }
                    case 28:
                        {
                              Token token = new28(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 3: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 29:
                        {
                              Token token = new29(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 3: state = State.MULTILINE_STRING_STATE; break;
                            }
                            return token;
                        }
                    case 30:
                        {
                              Token token = new30(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 31:
                        {
                              Token token = new31(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 32:
                        {
                              Token token = new32(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 33:
                        {
                              Token token = new33(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 34:
                        {
                              Token token = new34(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 35:
                        {
                              Token token = new35(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 36:
                        {
                              Token token = new36(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 37:
                        {
                              Token token = new37(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 38:
                        {
                              Token token = new38(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 39:
                        {
                              Token token = new39(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 40:
                        {
                              Token token = new40(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 41:
                        {
                              Token token = new41(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 42:
                        {
                              Token token = new42(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 43:
                        {
                              Token token = new43(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 44:
                        {
                              Token token = new44(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 45:
                        {
                              Token token = new45(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 46:
                        {
                              Token token = new46(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 47:
                        {
                              Token token = new47(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 48:
                        {
                              Token token = new48(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 49:
                        {
                              Token token = new49(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 50:
                        {
                              Token token = new50(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 51:
                        {
                              Token token = new51(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 52:
                        {
                              Token token = new52(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 53:
                        {
                              Token token = new53(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 54:
                        {
                              Token token = new54(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 55:
                        {
                              Token token = new55(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 56:
                        {
                              Token token = new56(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 57:
                        {
                              Token token = new57(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 58:
                        {
                              Token token = new58(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 59:
                        {
                              Token token = new59(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 60:
                        {
                              Token token = new60(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 61:
                        {
                              Token token = new61(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 62:
                        {
                              Token token = new62(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 63:
                        {
                              Token token = new63(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 64:
                        {
                              Token token = new64(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 65:
                        {
                              Token token = new65(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 66:
                        {
                              Token token = new66(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 67:
                        {
                              Token token = new67(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 68:
                        {
                              Token token = new68(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 69:
                        {
                              Token token = new69(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 70:
                        {
                              Token token = new70(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 71:
                        {
                              Token token = new71(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 72:
                        {
                              Token token = new72(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 73:
                        {
                              Token token = new73(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 74:
                        {
                              Token token = new74(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 75:
                        {
                              Token token = new75(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 76:
                        {
                              Token token = new76(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 77:
                        {
                              Token token = new77(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 78:
                        {
                              Token token = new78(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 79:
                        {
                              Token token = new79(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 80:
                        {
                              Token token = new80(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 81:
                        {
                              Token token = new81(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 82:
                        {
                              Token token = new82(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 83:
                        {
                              Token token = new83(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 84:
                        {
                              Token token = new84(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 85:
                        {
                              Token token = new85(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 86:
                        {
                              Token token = new86(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 87:
                        {
                              Token token = new87(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 88:
                        {
                              Token token = new88(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 89:
                        {
                              Token token = new89(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 90:
                        {
                              Token token = new90(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 91:
                        {
                              Token token = new91(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 92:
                        {
                              Token token = new92(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 93:
                        {
                              Token token = new93(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 94:
                        {
                              Token token = new94(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 95:
                        {
                              Token token = new95(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 96:
                        {
                              Token token = new96(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 97:
                        {
                              Token token = new97(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 98:
                        {
                              Token token = new98(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 99:
                        {
                              Token token = new99(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 100:
                        {
                              Token token = new100(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 101:
                        {
                              Token token = new101(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 102:
                        {
                              Token token = new102(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 103:
                        {
                              Token token = new103(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 104:
                        {
                              Token token = new104(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 105:
                        {
                              Token token = new105(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 106:
                        {
                              Token token = new106(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 107:
                        {
                              Token token = new107(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 108:
                        {
                              Token token = new108(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 109:
                        {
                              Token token = new109(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 110:
                        {
                              Token token = new110(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 111:
                        {
                              Token token = new111(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 112:
                        {
                              Token token = new112(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 113:
                        {
                              Token token = new113(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 114:
                        {
                              Token token = new114(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 115:
                        {
                              Token token = new115(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 116:
                        {
                              Token token = new116(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 117:
                        {
                              Token token = new117(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 118:
                        {
                              Token token = new118(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 119:
                        {
                              Token token = new119(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 120:
                        {
                              Token token = new120(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 121:
                        {
                              Token token = new121(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 122:
                        {
                              Token token = new122(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 123:
                        {
                              Token token = new123(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 124:
                        {
                              Token token = new124(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 125:
                        {
                              Token token = new125(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 126:
                        {
                              Token token = new126(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 127:
                        {
                              Token token = new127(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 128:
                        {
                              Token token = new128(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 129:
                        {
                              Token token = new129(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 130:
                        {
                              Token token = new130(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 131:
                        {
                              Token token = new131(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 132:
                        {
                              Token token = new132(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 133:
                        {
                              Token token = new133(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 134:
                        {
                              Token token = new134(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 135:
                        {
                              Token token = new135(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 136:
                        {
                              Token token = new136(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 137:
                        {
                              Token token = new137(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 138:
                        {
                              Token token = new138(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 139:
                        {
                              Token token = new139(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 140:
                        {
                              Token token = new140(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 141:
                        {
                              Token token = new141(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 142:
                        {
                              Token token = new142(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 143:
                        {
                              Token token = new143(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 144:
                        {
                              Token token = new144(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 145:
                        {
                              Token token = new145(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 146:
                        {
                              Token token = new146(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 147:
                        {
                              Token token = new147(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 148:
                        {
                              Token token = new148(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 149:
                        {
                              Token token = new149(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 150:
                        {
                              Token token = new150(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 151:
                        {
                              Token token = new151(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 152:
                        {
                              Token token = new152(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 153:
                        {
                              Token token = new153(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 154:
                        {
                              Token token = new154(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 155:
                        {
                              Token token = new155(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 156:
                        {
                              Token token = new156(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 157:
                        {
                              Token token = new157(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 158:
                        {
                              Token token = new158(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 159:
                        {
                              Token token = new159(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 160:
                        {
                              Token token = new160(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 161:
                        {
                              Token token = new161(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 162:
                        {
                              Token token = new162(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 163:
                        {
                              Token token = new163(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 164:
                        {
                              Token token = new164(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 165:
                        {
                              Token token = new165(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 166:
                        {
                              Token token = new166(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 167:
                        {
                              Token token = new167(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 168:
                        {
                              Token token = new168(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 169:
                        {
                              Token token = new169(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 170:
                        {
                              Token token = new170(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 171:
                        {
                              Token token = new171(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 172:
                        {
                              Token token = new172(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 173:
                        {
                              Token token = new173(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 174:
                        {
                              Token token = new174(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 175:
                        {
                              Token token = new175(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 176:
                        {
                              Token token = new176(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 177:
                        {
                              Token token = new177(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 178:
                        {
                              Token token = new178(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 179:
                        {
                              Token token = new179(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 180:
                        {
                              Token token = new180(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 181:
                        {
                              Token token = new181(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 182:
                        {
                              Token token = new182(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 183:
                        {
                              Token token = new183(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 184:
                        {
                              Token token = new184(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 185:
                        {
                              Token token = new185(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 186:
                        {
                              Token token = new186(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 187:
                        {
                              Token token = new187(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 188:
                        {
                              Token token = new188(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 189:
                        {
                              Token token = new189(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 190:
                        {
                              Token token = new190(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 191:
                        {
                              Token token = new191(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 192:
                        {
                              Token token = new192(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 193:
                        {
                              Token token = new193(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 194:
                        {
                              Token token = new194(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 195:
                        {
                              Token token = new195(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 196:
                        {
                              Token token = new196(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 197:
                        {
                              Token token = new197(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 198:
                        {
                              Token token = new198(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 199:
                        {
                              Token token = new199(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 200:
                        {
                              Token token = new200(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 201:
                        {
                              Token token = new201(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 202:
                        {
                              Token token = new202(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 203:
                        {
                              Token token = new203(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 204:
                        {
                              Token token = new204(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 205:
                        {
                              Token token = new205(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 206:
                        {
                              Token token = new206(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 207:
                        {
                              Token token = new207(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 208:
                        {
                              Token token = new208(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 209:
                        {
                              Token token = new209(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 210:
                        {
                              Token token = new210(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 211:
                        {
                              Token token = new211(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 212:
                        {
                              Token token = new212(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 213:
                        {
                              Token token = new213(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 214:
                        {
                              Token token = new214(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 215:
                        {
                              Token token = new215(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 216:
                        {
                              Token token = new216(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 217:
                        {
                              Token token = new217(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 218:
                        {
                              Token token = new218(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 219:
                        {
                              Token token = new219(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 220:
                        {
                              Token token = new220(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 221:
                        {
                              Token token = new221(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 222:
                        {
                              Token token = new222(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 223:
                        {
                              Token token = new223(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 224:
                        {
                              Token token = new224(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 225:
                        {
                              Token token = new225(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 226:
                        {
                              Token token = new226(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 227:
                        {
                              Token token = new227(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 228:
                        {
                              Token token = new228(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 229:
                        {
                              Token token = new229(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 230:
                        {
                              Token token = new230(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 231:
                        {
                              Token token = new231(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 232:
                        {
                              Token token = new232(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 233:
                        {
                              Token token = new233(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 234:
                        {
                              Token token = new234(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 235:
                        {
                              Token token = new235(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 236:
                        {
                              Token token = new236(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 237:
                        {
                              Token token = new237(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 238:
                        {
                              Token token = new238(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 239:
                        {
                              Token token = new239(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 240:
                        {
                              Token token = new240(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 241:
                        {
                              Token token = new241(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 242:
                        {
                              Token token = new242(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 243:
                        {
                              Token token = new243(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 244:
                        {
                              Token token = new244(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 245:
                        {
                              Token token = new245(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 246:
                        {
                              Token token = new246(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 247:
                        {
                              Token token = new247(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 248:
                        {
                              Token token = new248(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 249:
                        {
                              Token token = new249(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 250:
                        {
                              Token token = new250(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 251:
                        {
                              Token token = new251(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 252:
                        {
                              Token token = new252(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 253:
                        {
                              Token token = new253(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 254:
                        {
                              Token token = new254(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 255:
                        {
                              Token token = new255(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 256:
                        {
                              Token token = new256(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 257:
                        {
                              Token token = new257(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 258:
                        {
                              Token token = new258(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 259:
                        {
                              Token token = new259(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 260:
                        {
                              Token token = new260(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 261:
                        {
                              Token token = new261(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 262:
                        {
                              Token token = new262(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 263:
                        {
                              Token token = new263(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 264:
                        {
                              Token token = new264(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 265:
                        {
                              Token token = new265(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 266:
                        {
                              Token token = new266(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 267:
                        {
                              Token token = new267(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 268:
                        {
                              Token token = new268(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 269:
                        {
                              Token token = new269(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 270:
                        {
                              Token token = new270(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 271:
                        {
                              Token token = new271(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 272:
                        {
                              Token token = new272(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 273:
                        {
                              Token token = new273(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 274:
                        {
                              Token token = new274(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 275:
                        {
                              Token token = new275(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 276:
                        {
                              Token token = new276(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 277:
                        {
                              Token token = new277(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 278:
                        {
                              Token token = new278(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 279:
                        {
                              Token token = new279(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 280:
                        {
                              Token token = new280(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 281:
                        {
                              Token token = new281(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 282:
                        {
                              Token token = new282(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 283:
                        {
                              Token token = new283(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 284:
                        {
                              Token token = new284(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 285:
                        {
                              Token token = new285(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 286:
                        {
                              Token token = new286(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 287:
                        {
                              Token token = new287(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 288:
                        {
                              Token token = new288(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 289:
                        {
                              Token token = new289(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 290:
                        {
                              Token token = new290(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    }
                }
                else
                {
                    if(this.text.length() > 0)
                    {
                        throw new LexerException(
                            "[" + (start_line + 1) + "," + (start_pos + 1) + "]" +
                            " Unknown token: " + this.text);
                    }

                      EOF token = new EOF(
                        start_line + 1,
                        start_pos + 1);
                    return token;
                }
            }
        }
    }

    Token new0(  int line,   int pos) { return new TShebang(line, pos); }
    Token new1(  String text,   int line,   int pos) { return new TShebangEnd(text, line, pos); }
    Token new2(  String text,   int line,   int pos) { return new TShebangChar(text, line, pos); }
    Token new3(  String text,   int line,   int pos) { return new TLineComment(text, line, pos); }
    Token new4(  int line,   int pos) { return new TPragmaStart(line, pos); }
    Token new5(  int line,   int pos) { return new TPragmaEnd(line, pos); }
    Token new6(  int line,   int pos) { return new TPragmaUnit(line, pos); }
    Token new7(  int line,   int pos) { return new TNewPragmaUnit(line, pos); }
    Token new8(  int line,   int pos) { return new TIpragmaUnit(line, pos); }
    Token new9(  int line,   int pos) { return new TPragmaUnitAlias(line, pos); }
    Token new10(  int line,   int pos) { return new TPragmaGenerated(line, pos); }
    Token new11(  int line,   int pos) { return new TPragmaSymbolic(line, pos); }
    Token new12(  int line,   int pos) { return new TPragmaLabel(line, pos); }
    Token new13(  int line,   int pos) { return new TPragmaFile(line, pos); }
    Token new14(  int line,   int pos) { return new TPragmaPackage(line, pos); }
    Token new15(  String text,   int line,   int pos) { return new TPragmaImportPackage(text, line, pos); }
    Token new16(  String text,   int line,   int pos) { return new TPragmaDescription(text, line, pos); }
    Token new17(  int line,   int pos) { return new TPragmaConversion(line, pos); }
    Token new18(  String text,   int line,   int pos) { return new TPragmaIdOrString(text, line, pos); }
    Token new19(  String text,   int line,   int pos) { return new TPragmaFreeText(text, line, pos); }
    Token new20(  String text,   int line,   int pos) { return new TUnitContent(text, line, pos); }
    Token new21(  String text,   int line,   int pos) { return new TUnitId(text, line, pos); }
    Token new22(  String text,   int line,   int pos) { return new TComment(text, line, pos); }
    Token new23(  String text,   int line,   int pos) { return new TCommentEnd(text, line, pos); }
    Token new24(  String text,   int line,   int pos) { return new TCommentBody(text, line, pos); }
    Token new25(  int line,   int pos) { return new TStar(line, pos); }
    Token new26(  int line,   int pos) { return new TSlash(line, pos); }
    Token new27(  String text,   int line,   int pos) { return new TMultilineStringStart(text, line, pos); }
    Token new28(  String text,   int line,   int pos) { return new TMultilineStringEnd(text, line, pos); }
    Token new29(  String text,   int line,   int pos) { return new TMultilineStringContent(text, line, pos); }
    Token new30(  String text,   int line,   int pos) { return new TStringLiteral(text, line, pos); }
    Token new31(  String text,   int line,   int pos) { return new TForAny(text, line, pos); }
    Token new32(  String text,   int line,   int pos) { return new TExists(text, line, pos); }
    Token new33(  int line,   int pos) { return new TDollar(line, pos); }
    Token new34(  String text,   int line,   int pos) { return new TLambda(text, line, pos); }
    Token new35(  String text,   int line,   int pos) { return new TConjunction(text, line, pos); }
    Token new36(  String text,   int line,   int pos) { return new TSingleQuotation(text, line, pos); }
    Token new37(  int line,   int pos) { return new TLeftPar(line, pos); }
    Token new38(  int line,   int pos) { return new TRightPar(line, pos); }
    Token new39(  String text,   int line,   int pos) { return new TProduct(text, line, pos); }
    Token new40(  int line,   int pos) { return new TPowerOf(line, pos); }
    Token new41(  String text,   int line,   int pos) { return new TPlus(text, line, pos); }
    Token new42(  String text,   int line,   int pos) { return new TPartialFunction(text, line, pos); }
    Token new43(  String text,   int line,   int pos) { return new TPartialSurjection(text, line, pos); }
    Token new44(  int line,   int pos) { return new TComma(line, pos); }
    Token new45(  String text,   int line,   int pos) { return new TMinus(text, line, pos); }
    Token new46(  String text,   int line,   int pos) { return new TTotalFunction(text, line, pos); }
    Token new47(  String text,   int line,   int pos) { return new TTotalSurjection(text, line, pos); }
    Token new48(  String text,   int line,   int pos) { return new TInsertStartSequence(text, line, pos); }
    Token new49(  String text,   int line,   int pos) { return new TDot(text, line, pos); }
    Token new50(  String text,   int line,   int pos) { return new TInterval(text, line, pos); }
    Token new51(  String text,   int line,   int pos) { return new TDivision(text, line, pos); }
    Token new52(  String text,   int line,   int pos) { return new TNotBelonging(text, line, pos); }
    Token new53(  String text,   int line,   int pos) { return new TNonInclusion(text, line, pos); }
    Token new54(  String text,   int line,   int pos) { return new TStrictNonInclusion(text, line, pos); }
    Token new55(  String text,   int line,   int pos) { return new TNotEqual(text, line, pos); }
    Token new56(  int line,   int pos) { return new TSetSubtraction(line, pos); }
    Token new57(  String text,   int line,   int pos) { return new TIntersection(text, line, pos); }
    Token new58(  String text,   int line,   int pos) { return new TRestrictHeadSequence(text, line, pos); }
    Token new59(  String text,   int line,   int pos) { return new TElementOf(text, line, pos); }
    Token new60(  String text,   int line,   int pos) { return new TDoubleColon(text, line, pos); }
    Token new61(  String text,   int line,   int pos) { return new TAssign(text, line, pos); }
    Token new62(  int line,   int pos) { return new TSemicolon(line, pos); }
    Token new63(  String text,   int line,   int pos) { return new TLess(text, line, pos); }
    Token new64(  String text,   int line,   int pos) { return new TOverwriteRelation(text, line, pos); }
    Token new65(  String text,   int line,   int pos) { return new TSetRelation(text, line, pos); }
    Token new66(  String text,   int line,   int pos) { return new TInsertEndSequence(text, line, pos); }
    Token new67(  String text,   int line,   int pos) { return new TOutputParameters(text, line, pos); }
    Token new68(  String text,   int line,   int pos) { return new TInclusion(text, line, pos); }
    Token new69(  String text,   int line,   int pos) { return new TStrictInclusion(text, line, pos); }
    Token new70(  String text,   int line,   int pos) { return new TDomainSubtraction(text, line, pos); }
    Token new71(  String text,   int line,   int pos) { return new TLessEqual(text, line, pos); }
    Token new72(  String text,   int line,   int pos) { return new TEquivalence(text, line, pos); }
    Token new73(  String text,   int line,   int pos) { return new TDomainRestriction(text, line, pos); }
    Token new74(  String text,   int line,   int pos) { return new TEqual(text, line, pos); }
    Token new75(  String text,   int line,   int pos) { return new TDoubleEqual(text, line, pos); }
    Token new76(  String text,   int line,   int pos) { return new TImplies(text, line, pos); }
    Token new77(  String text,   int line,   int pos) { return new TGreater(text, line, pos); }
    Token new78(  String text,   int line,   int pos) { return new TPartialInjection(text, line, pos); }
    Token new79(  String text,   int line,   int pos) { return new TTotalInjection(text, line, pos); }
    Token new80(  String text,   int line,   int pos) { return new TPartialBijection(text, line, pos); }
    Token new81(  String text,   int line,   int pos) { return new TTotalBijection(text, line, pos); }
    Token new82(  String text,   int line,   int pos) { return new TDirectProduct(text, line, pos); }
    Token new83(  String text,   int line,   int pos) { return new TGreaterEqual(text, line, pos); }
    Token new84(  int line,   int pos) { return new TAbstractConstants(line, pos); }
    Token new85(  int line,   int pos) { return new TAbstractVariables(line, pos); }
    Token new86(  int line,   int pos) { return new TAny(line, pos); }
    Token new87(  int line,   int pos) { return new TAssert(line, pos); }
    Token new88(  int line,   int pos) { return new TAssertions(line, pos); }
    Token new89(  int line,   int pos) { return new TBe(line, pos); }
    Token new90(  int line,   int pos) { return new TBegin(line, pos); }
    Token new91(  int line,   int pos) { return new TBool(line, pos); }
    Token new92(  String text,   int line,   int pos) { return new TBfalse(text, line, pos); }
    Token new93(  int line,   int pos) { return new TCase(line, pos); }
    Token new94(  int line,   int pos) { return new TChoice(line, pos); }
    Token new95(  int line,   int pos) { return new TConcreteConstants(line, pos); }
    Token new96(  int line,   int pos) { return new TConcreteVariables(line, pos); }
    Token new97(  int line,   int pos) { return new TConstants(line, pos); }
    Token new98(  int line,   int pos) { return new TConstraints(line, pos); }
    Token new99(  int line,   int pos) { return new TDefinitions(line, pos); }
    Token new100(  int line,   int pos) { return new TExpressions(line, pos); }
    Token new101(  int line,   int pos) { return new TPredicates(line, pos); }
    Token new102(  int line,   int pos) { return new TDo(line, pos); }
    Token new103(  int line,   int pos) { return new TEither(line, pos); }
    Token new104(  int line,   int pos) { return new TElse(line, pos); }
    Token new105(  int line,   int pos) { return new TElsif(line, pos); }
    Token new106(  int line,   int pos) { return new TEnd(line, pos); }
    Token new107(  int line,   int pos) { return new TExtends(line, pos); }
    Token new108(  int line,   int pos) { return new TFalse(line, pos); }
    Token new109(  int line,   int pos) { return new TFin(line, pos); }
    Token new110(  int line,   int pos) { return new TFin1(line, pos); }
    Token new111(  int line,   int pos) { return new TIf(line, pos); }
    Token new112(  int line,   int pos) { return new TImplementation(line, pos); }
    Token new113(  int line,   int pos) { return new TImports(line, pos); }
    Token new114(  int line,   int pos) { return new TIn(line, pos); }
    Token new115(  int line,   int pos) { return new TIncludes(line, pos); }
    Token new116(  String text,   int line,   int pos) { return new TInitialisation(text, line, pos); }
    Token new117(  int line,   int pos) { return new TInt(line, pos); }
    Token new118(  String text,   int line,   int pos) { return new TInteger(text, line, pos); }
    Token new119(  String text,   int line,   int pos) { return new TQuantifiedInter(text, line, pos); }
    Token new120(  int line,   int pos) { return new TInvariant(line, pos); }
    Token new121(  int line,   int pos) { return new TLet(line, pos); }
    Token new122(  int line,   int pos) { return new TLocalOperations(line, pos); }
    Token new123(  int line,   int pos) { return new TMachine(line, pos); }
    Token new124(  int line,   int pos) { return new TModel(line, pos); }
    Token new125(  int line,   int pos) { return new TSystem(line, pos); }
    Token new126(  int line,   int pos) { return new TMaxInt(line, pos); }
    Token new127(  int line,   int pos) { return new TMinInt(line, pos); }
    Token new128(  int line,   int pos) { return new TNat(line, pos); }
    Token new129(  int line,   int pos) { return new TNat1(line, pos); }
    Token new130(  String text,   int line,   int pos) { return new TNatural(text, line, pos); }
    Token new131(  String text,   int line,   int pos) { return new TNatural1(text, line, pos); }
    Token new132(  int line,   int pos) { return new TOf(line, pos); }
    Token new133(  String text,   int line,   int pos) { return new TOperations(text, line, pos); }
    Token new134(  int line,   int pos) { return new TOr(line, pos); }
    Token new135(  String text,   int line,   int pos) { return new TPi(text, line, pos); }
    Token new136(  String text,   int line,   int pos) { return new TPow(text, line, pos); }
    Token new137(  String text,   int line,   int pos) { return new TPow1(text, line, pos); }
    Token new138(  int line,   int pos) { return new TPre(line, pos); }
    Token new139(  int line,   int pos) { return new TPromotes(line, pos); }
    Token new140(  int line,   int pos) { return new TProperties(line, pos); }
    Token new141(  int line,   int pos) { return new TRefines(line, pos); }
    Token new142(  int line,   int pos) { return new TRefinement(line, pos); }
    Token new143(  int line,   int pos) { return new TSees(line, pos); }
    Token new144(  int line,   int pos) { return new TSelect(line, pos); }
    Token new145(  int line,   int pos) { return new TSets(line, pos); }
    Token new146(  int line,   int pos) { return new TQuantifiedSet(line, pos); }
    Token new147(  String text,   int line,   int pos) { return new TSigma(text, line, pos); }
    Token new148(  int line,   int pos) { return new TString(line, pos); }
    Token new149(  int line,   int pos) { return new TThen(line, pos); }
    Token new150(  int line,   int pos) { return new TTrue(line, pos); }
    Token new151(  String text,   int line,   int pos) { return new TQuantifiedUnion(text, line, pos); }
    Token new152(  int line,   int pos) { return new TUses(line, pos); }
    Token new153(  int line,   int pos) { return new TValue(line, pos); }
    Token new154(  int line,   int pos) { return new TVar(line, pos); }
    Token new155(  int line,   int pos) { return new TVariant(line, pos); }
    Token new156(  int line,   int pos) { return new TVariables(line, pos); }
    Token new157(  int line,   int pos) { return new TWhen(line, pos); }
    Token new158(  int line,   int pos) { return new TWhere(line, pos); }
    Token new159(  int line,   int pos) { return new TWhile(line, pos); }
    Token new160(  int line,   int pos) { return new TLeftBracket(line, pos); }
    Token new161(  int line,   int pos) { return new TRightBracket(line, pos); }
    Token new162(  String text,   int line,   int pos) { return new TUnion(text, line, pos); }
    Token new163(  String text,   int line,   int pos) { return new TRestrictTailSequence(text, line, pos); }
    Token new164(  String text,   int line,   int pos) { return new TConcatSequence(text, line, pos); }
    Token new165(  int line,   int pos) { return new TArity(line, pos); }
    Token new166(  int line,   int pos) { return new TBin(line, pos); }
    Token new167(  int line,   int pos) { return new TBoolCast(line, pos); }
    Token new168(  int line,   int pos) { return new TBtree(line, pos); }
    Token new169(  int line,   int pos) { return new TCard(line, pos); }
    Token new170(  int line,   int pos) { return new TClosure(line, pos); }
    Token new171(  int line,   int pos) { return new TClosure1(line, pos); }
    Token new172(  int line,   int pos) { return new TConc(line, pos); }
    Token new173(  int line,   int pos) { return new TConst(line, pos); }
    Token new174(  int line,   int pos) { return new TDom(line, pos); }
    Token new175(  int line,   int pos) { return new TFather(line, pos); }
    Token new176(  int line,   int pos) { return new TFirst(line, pos); }
    Token new177(  int line,   int pos) { return new TFnc(line, pos); }
    Token new178(  int line,   int pos) { return new TFront(line, pos); }
    Token new179(  int line,   int pos) { return new TId(line, pos); }
    Token new180(  int line,   int pos) { return new TInfix(line, pos); }
    Token new181(  int line,   int pos) { return new TGeneralizedInter(line, pos); }
    Token new182(  int line,   int pos) { return new TIseq(line, pos); }
    Token new183(  int line,   int pos) { return new TIseq1(line, pos); }
    Token new184(  int line,   int pos) { return new TIterate(line, pos); }
    Token new185(  int line,   int pos) { return new TLast(line, pos); }
    Token new186(  int line,   int pos) { return new TLeft(line, pos); }
    Token new187(  int line,   int pos) { return new TMax(line, pos); }
    Token new188(  int line,   int pos) { return new TMin(line, pos); }
    Token new189(  int line,   int pos) { return new TMirror(line, pos); }
    Token new190(  int line,   int pos) { return new TMod(line, pos); }
    Token new191(  String text,   int line,   int pos) { return new TNot(text, line, pos); }
    Token new192(  String text,   int line,   int pos) { return new TLogicalOr(text, line, pos); }
    Token new193(  int line,   int pos) { return new TPerm(line, pos); }
    Token new194(  int line,   int pos) { return new TPostfix(line, pos); }
    Token new195(  int line,   int pos) { return new TPred(line, pos); }
    Token new196(  int line,   int pos) { return new TPrefix(line, pos); }
    Token new197(  int line,   int pos) { return new TPrj1(line, pos); }
    Token new198(  int line,   int pos) { return new TPrj2(line, pos); }
    Token new199(  int line,   int pos) { return new TRank(line, pos); }
    Token new200(  int line,   int pos) { return new TRan(line, pos); }
    Token new201(  int line,   int pos) { return new TRec(line, pos); }
    Token new202(  int line,   int pos) { return new TRel(line, pos); }
    Token new203(  int line,   int pos) { return new TRev(line, pos); }
    Token new204(  int line,   int pos) { return new TRight(line, pos); }
    Token new205(  int line,   int pos) { return new TSeq(line, pos); }
    Token new206(  int line,   int pos) { return new TSeq1(line, pos); }
    Token new207(  int line,   int pos) { return new TSizet(line, pos); }
    Token new208(  int line,   int pos) { return new TSize(line, pos); }
    Token new209(  int line,   int pos) { return new TSkip(line, pos); }
    Token new210(  int line,   int pos) { return new TSons(line, pos); }
    Token new211(  int line,   int pos) { return new TSon(line, pos); }
    Token new212(  int line,   int pos) { return new TStruct(line, pos); }
    Token new213(  int line,   int pos) { return new TSubtree(line, pos); }
    Token new214(  int line,   int pos) { return new TSucc(line, pos); }
    Token new215(  int line,   int pos) { return new TTail(line, pos); }
    Token new216(  int line,   int pos) { return new TTop(line, pos); }
    Token new217(  int line,   int pos) { return new TTree(line, pos); }
    Token new218(  int line,   int pos) { return new TGeneralizedUnion(line, pos); }
    Token new219(  String text,   int line,   int pos) { return new TEmptySet(text, line, pos); }
    Token new220(  int line,   int pos) { return new TLeftBrace(line, pos); }
    Token new221(  int line,   int pos) { return new TRightBrace(line, pos); }
    Token new222(  String text,   int line,   int pos) { return new TVerticalBar(text, line, pos); }
    Token new223(  String text,   int line,   int pos) { return new TDoubleVerticalBar(text, line, pos); }
    Token new224(  String text,   int line,   int pos) { return new TMaplet(text, line, pos); }
    Token new225(  String text,   int line,   int pos) { return new TRangeRestriction(text, line, pos); }
    Token new226(  String text,   int line,   int pos) { return new TRangeSubtraction(text, line, pos); }
    Token new227(  String text,   int line,   int pos) { return new TTilde(text, line, pos); }
    Token new228(  String text,   int line,   int pos) { return new TTotalRelation(text, line, pos); }
    Token new229(  String text,   int line,   int pos) { return new TSurjectionRelation(text, line, pos); }
    Token new230(  String text,   int line,   int pos) { return new TTotalSurjectionRelation(text, line, pos); }
    Token new231(  int line,   int pos) { return new TKwFreetypes(line, pos); }
    Token new232(  int line,   int pos) { return new TKwExpression(line, pos); }
    Token new233(  int line,   int pos) { return new TKwPredicate(line, pos); }
    Token new234(  int line,   int pos) { return new TKwFormula(line, pos); }
    Token new235(  int line,   int pos) { return new TKwSubstitution(line, pos); }
    Token new236(  int line,   int pos) { return new TKwAbstractConstants(line, pos); }
    Token new237(  int line,   int pos) { return new TKwAbstractVariables(line, pos); }
    Token new238(  int line,   int pos) { return new TKwAssertions(line, pos); }
    Token new239(  int line,   int pos) { return new TKwConcreteConstants(line, pos); }
    Token new240(  int line,   int pos) { return new TKwConcreteVariables(line, pos); }
    Token new241(  int line,   int pos) { return new TKwConstants(line, pos); }
    Token new242(  int line,   int pos) { return new TKwConstraints(line, pos); }
    Token new243(  int line,   int pos) { return new TKwDefinitions(line, pos); }
    Token new244(  int line,   int pos) { return new TKwDefinition(line, pos); }
    Token new245(  int line,   int pos) { return new TKwExtends(line, pos); }
    Token new246(  int line,   int pos) { return new TKwImports(line, pos); }
    Token new247(  int line,   int pos) { return new TKwIncludes(line, pos); }
    Token new248(  int line,   int pos) { return new TKwInitialisation(line, pos); }
    Token new249(  int line,   int pos) { return new TKwInvariant(line, pos); }
    Token new250(  int line,   int pos) { return new TKwLocalOperations(line, pos); }
    Token new251(  int line,   int pos) { return new TKwOperations(line, pos); }
    Token new252(  int line,   int pos) { return new TKwPromotes(line, pos); }
    Token new253(  int line,   int pos) { return new TKwProperties(line, pos); }
    Token new254(  int line,   int pos) { return new TKwSees(line, pos); }
    Token new255(  int line,   int pos) { return new TKwSets(line, pos); }
    Token new256(  int line,   int pos) { return new TKwUses(line, pos); }
    Token new257(  int line,   int pos) { return new TKwVariables(line, pos); }
    Token new258(  int line,   int pos) { return new TKwValues(line, pos); }
    Token new259(  int line,   int pos) { return new TKwOppattern(line, pos); }
    Token new260(  int line,   int pos) { return new TKwMachineClause(line, pos); }
    Token new261(  String text,   int line,   int pos) { return new TTruthPredicate(text, line, pos); }
    Token new262(  String text,   int line,   int pos) { return new TIdentifierLiteral(text, line, pos); }
    Token new263(  String text,   int line,   int pos) { return new TDefLiteralSubstitution(text, line, pos); }
    Token new264(  String text,   int line,   int pos) { return new TDefLiteralPredicate(text, line, pos); }
    Token new265(  String text,   int line,   int pos) { return new TPredicateIdentifier(text, line, pos); }
    Token new266(  String text,   int line,   int pos) { return new TIntegerLiteral(text, line, pos); }
    Token new267(  String text,   int line,   int pos) { return new THexLiteral(text, line, pos); }
    Token new268(  String text,   int line,   int pos) { return new TUnderscore(text, line, pos); }
    Token new269(  String text,   int line,   int pos) { return new TWhiteSpace(text, line, pos); }
    Token new270(  int line,   int pos) { return new TKwRulesMachine(line, pos); }
    Token new271(  int line,   int pos) { return new TKwRule(line, pos); }
    Token new272(  String text,   int line,   int pos) { return new TKwSubstitutionOperator(text, line, pos); }
    Token new273(  String text,   int line,   int pos) { return new TKwPredicateOperator(text, line, pos); }
    Token new274(  String text,   int line,   int pos) { return new TKwExpressionOperator(text, line, pos); }
    Token new275(  String text,   int line,   int pos) { return new TKwPredicateAttribute(text, line, pos); }
    Token new276(  String text,   int line,   int pos) { return new TKwAttributeIdentifier(text, line, pos); }
    Token new277(  int line,   int pos) { return new TKwFor(line, pos); }
    Token new278(  int line,   int pos) { return new TKwRuleForAll(line, pos); }
    Token new279(  int line,   int pos) { return new TKwRuleFail(line, pos); }
    Token new280(  int line,   int pos) { return new TKwRuleErrorType(line, pos); }
    Token new281(  int line,   int pos) { return new TKwExpect(line, pos); }
    Token new282(  int line,   int pos) { return new TKwComputation(line, pos); }
    Token new283(  int line,   int pos) { return new TKwDefine(line, pos); }
    Token new284(  int line,   int pos) { return new TKwType(line, pos); }
    Token new285(  int line,   int pos) { return new TKwValue(line, pos); }
    Token new286(  int line,   int pos) { return new TKwBody(line, pos); }
    Token new287(  int line,   int pos) { return new TKwDummyValue(line, pos); }
    Token new288(  int line,   int pos) { return new TKwCounterexample(line, pos); }
    Token new289(  int line,   int pos) { return new TKwFunction(line, pos); }
    Token new290(  int line,   int pos) { return new TKwReferences(line, pos); }

    private int getChar() throws IOException
    {
        if(this.eof)
        {
            return -1;
        }

        int result = this.in.read();

        if(result == -1)
        {
            this.eof = true;
        }

        return result;
    }

    private void pushBack(int acceptLength) throws IOException
    {
        int length = this.text.length();
        for(int i = length - 1; i >= acceptLength; i--)
        {
            this.eof = false;

            this.in.unread(this.text.charAt(i));
        }
    }

    protected void unread(  Token token) throws IOException
    {
          String text = token.getText();
        int length = text.length();

        for(int i = length - 1; i >= 0; i--)
        {
            this.eof = false;

            this.in.unread(text.charAt(i));
        }

        this.pos = token.getPos() - 1;
        this.line = token.getLine() - 1;
    }

    private String getText(int acceptLength)
    {
        StringBuffer s = new StringBuffer(acceptLength);
        for(int i = 0; i < acceptLength; i++)
        {
            s.append(this.text.charAt(i));
        }

        return s.toString();
    }

    private static int[][][][] gotoTable;
/*  {
        { // SECTION
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {35, 35, 3}, {39, 39, 4}, {47, 47, 5}, {65, 67, 6}, {68, 68, 7}, {69, 72, 6}, {73, 73, 8}, {74, 76, 6}, {77, 77, 9}, {78, 81, 6}, {82, 82, 10}, {83, 83, 11}, {84, 90, 6}, {97, 122, 12}, {127, 160, 1}, {8206, 8207, 1}, {8232, 8233, 1}, },
            {{0, 9, 1}, {11, 12, 1}, {14, 32, 1}, {127, 8233, -2}, },
            {},
            {{33, 33, 13}, {65, 65, 14}, {67, 67, 15}, {68, 68, 16}, {69, 69, 17}, {70, 70, 18}, {73, 73, 19}, {76, 76, 20}, {77, 77, 21}, {79, 79, 22}, {80, 80, 23}, {83, 83, 24}, {85, 85, 25}, {86, 86, 26}, },
            {{39, 39, 27}, },
            {{42, 42, 28}, {47, 47, 29}, },
            {{48, 57, 30}, {65, 90, 31}, {95, 95, 32}, {97, 122, 33}, },
            {{48, 57, 30}, {65, 68, 31}, {69, 69, 34}, {70, 90, 31}, {95, 122, -8}, },
            {{48, 57, 30}, {65, 76, 31}, {77, 77, 35}, {78, 90, 31}, {95, 122, -8}, },
            {{48, 57, 30}, {65, 65, 36}, {66, 78, 31}, {79, 79, 37}, {80, 90, 31}, {95, 122, -8}, },
            {{48, 68, -9}, {69, 69, 38}, {70, 122, -9}, },
            {{48, 57, 30}, {65, 88, 31}, {89, 89, 39}, {90, 90, 31}, {95, 122, -8}, },
            {{48, 122, -8}, },
            {},
            {{66, 66, 40}, {83, 83, 41}, },
            {{79, 79, 42}, },
            {{69, 69, 43}, },
            {{88, 88, 44}, },
            {{79, 79, 45}, },
            {{77, 77, 46}, {78, 78, 47}, },
            {{79, 79, 48}, },
            {{65, 65, 49}, },
            {{80, 80, 50}, },
            {{82, 82, 51}, },
            {{69, 69, 52}, {85, 85, 53}, },
            {{83, 83, 54}, },
            {{65, 65, 55}, },
            {{39, 39, 56}, },
            {{64, 64, 57}, },
            {{0, 9, 58}, {10, 10, 59}, {11, 12, 58}, {13, 13, 59}, {14, 65535, 58}, },
            {{48, 122, -8}, },
            {{48, 122, -8}, },
            {{48, 122, -8}, },
            {{48, 122, -8}, },
            {{48, 57, 30}, {65, 69, 31}, {70, 70, 60}, {71, 90, 31}, {95, 122, -8}, },
            {{48, 57, 30}, {65, 79, 31}, {80, 80, 61}, {81, 90, 31}, {95, 122, -8}, },
            {{48, 57, 30}, {65, 66, 31}, {67, 67, 62}, {68, 90, 31}, {95, 122, -8}, },
            {{48, 57, 30}, {65, 67, 31}, {68, 68, 63}, {69, 90, 31}, {95, 122, -8}, },
            {{48, 69, -36}, {70, 70, 64}, {71, 122, -36}, },
            {{48, 57, 30}, {65, 82, 31}, {83, 83, 65}, {84, 90, 31}, {95, 122, -8}, },
            {{83, 83, 66}, },
            {{83, 83, 67}, },
            {{78, 78, 68}, },
            {{70, 70, 69}, },
            {{80, 80, 70}, {84, 84, 71}, },
            {{82, 82, 72}, },
            {{80, 80, 73}, },
            {{67, 67, 74}, {73, 73, 75}, {86, 86, 76}, },
            {{67, 67, 77}, },
            {{67, 67, 78}, },
            {{69, 69, 79}, {80, 80, 80}, },
            {{69, 69, 81}, {79, 79, 82}, },
            {{69, 69, 83}, {84, 84, 84}, },
            {{66, 66, 85}, },
            {{69, 69, 86}, },
            {{76, 76, 87}, {82, 82, 88}, },
            {},
            {},
            {{0, 65535, -31}, },
            {},
            {{48, 57, 30}, {65, 72, 31}, {73, 73, 89}, {74, 90, 31}, {95, 122, -8}, },
            {{48, 57, 30}, {65, 75, 31}, {76, 76, 90}, {77, 90, 31}, {95, 122, -8}, },
            {{48, 57, 30}, {65, 71, 31}, {72, 72, 91}, {73, 90, 31}, {95, 122, -8}, },
            {{48, 68, -9}, {69, 69, 92}, {70, 122, -9}, },
            {{48, 72, -62}, {73, 73, 93}, {74, 122, -62}, },
            {{48, 57, 30}, {65, 83, 31}, {84, 84, 94}, {85, 90, 31}, {95, 122, -8}, },
            {{84, 84, 95}, },
            {{69, 69, 96}, },
            {{67, 67, 97}, {83, 83, 98}, },
            {{73, 73, 99}, },
            {{82, 82, 100}, },
            {{69, 69, 101}, },
            {{77, 77, 102}, },
            {{79, 79, 103}, },
            {{76, 76, 104}, },
            {{84, 84, 105}, },
            {{65, 65, 106}, },
            {{65, 65, 107}, },
            {{72, 72, 108}, },
            {{82, 82, 109}, },
            {{65, 65, 110}, },
            {{68, 68, 111}, },
            {{77, 77, 112}, {80, 80, 113}, },
            {{83, 83, 114}, },
            {{83, 83, 115}, },
            {{83, 83, 116}, },
            {{83, 83, 117}, },
            {{85, 85, 118}, },
            {{73, 73, 119}, },
            {{48, 57, 30}, {65, 77, 31}, {78, 78, 120}, {79, 90, 31}, {95, 122, -8}, },
            {{48, 68, -9}, {69, 69, 121}, {70, 122, -9}, },
            {{48, 72, -62}, {73, 73, 122}, {74, 122, -62}, },
            {{48, 75, -63}, {76, 76, 123}, {77, 122, -63}, },
            {{48, 77, -91}, {78, 78, 124}, {79, 122, -91}, },
            {{48, 68, -9}, {69, 69, 125}, {70, 122, -9}, },
            {{82, 82, 126}, },
            {{82, 82, 127}, },
            {{82, 82, 128}, },
            {{84, 84, 129}, },
            {{78, 78, 130}, },
            {{69, 69, 131}, },
            {{78, 78, 132}, },
            {{85, 85, 133}, },
            {{82, 82, 134}, },
            {{85, 85, 135}, },
            {{73, 73, 136}, },
            {{82, 82, 137}, },
            {{76, 76, 138}, },
            {{73, 73, 139}, },
            {{65, 65, 140}, },
            {{84, 84, 141}, },
            {{73, 73, 142}, },
            {{79, 79, 143}, },
            {{69, 69, 144}, },
            {},
            {},
            {{84, 84, 145}, },
            {},
            {{69, 69, 146}, },
            {{65, 65, 147}, },
            {{48, 72, -62}, {73, 73, 148}, {74, 122, -62}, },
            {{48, 76, -10}, {77, 77, 149}, {78, 122, -10}, },
            {{48, 77, -91}, {78, 78, 150}, {79, 122, -91}, },
            {{48, 122, -8}, },
            {{48, 68, -9}, {69, 69, 151}, {70, 122, -9}, },
            {{48, 76, -10}, {77, 77, 152}, {78, 122, -10}, },
            {{65, 65, 153}, },
            {{84, 84, 154}, },
            {{69, 69, 155}, },
            {{65, 65, 156}, {82, 82, 157}, },
            {{73, 73, 158}, },
            {{83, 83, 159}, },
            {{68, 68, 160}, },
            {{76, 76, 161}, },
            {{84, 84, 162}, },
            {{68, 68, 163}, },
            {{65, 65, 164}, },
            {{73, 73, 165}, },
            {{95, 95, 166}, },
            {{78, 78, 167}, },
            {{84, 84, 168}, },
            {{84, 84, 169}, },
            {{67, 67, 170}, },
            {{84, 84, 171}, },
            {{82, 82, 172}, },
            {{73, 73, 173}, },
            {{83, 83, 174}, },
            {{66, 66, 175}, },
            {{48, 83, -67}, {84, 84, 176}, {85, 122, -67}, },
            {{48, 68, -9}, {69, 69, 177}, {70, 122, -9}, },
            {{48, 68, -9}, {69, 69, 178}, {70, 122, -9}, },
            {{48, 76, -10}, {77, 77, 179}, {78, 122, -10}, },
            {{48, 122, -8}, },
            {{67, 67, 180}, },
            {{73, 73, 181}, },
            {{84, 84, 182}, },
            {{78, 78, 183}, },
            {{65, 65, 184}, },
            {{84, 84, 185}, },
            {{83, 83, 186}, },
            {{83, 83, 187}, },
            {{65, 65, 188}, },
            {{83, 83, 189}, },
            {{69, 69, 190}, },
            {{76, 76, 191}, },
            {{65, 65, 192}, },
            {{79, 79, 193}, },
            {{69, 69, 194}, },
            {{73, 73, 195}, },
            {{69, 69, 196}, },
            {{65, 65, 197}, },
            {{69, 69, 198}, },
            {{84, 84, 199}, },
            {{84, 84, 200}, },
            {},
            {{76, 76, 201}, },
            {{48, 72, -62}, {73, 73, 202}, {74, 122, -62}, },
            {{48, 77, -91}, {78, 78, 203}, {79, 122, -91}, },
            {{48, 122, -8}, },
            {{48, 68, -9}, {69, 69, 204}, {70, 122, -9}, },
            {{84, 84, 205}, },
            {{79, 79, 206}, },
            {{69, 69, 207}, },
            {{84, 84, 208}, },
            {{73, 73, 209}, },
            {{73, 73, 210}, },
            {{73, 73, 211}, },
            {},
            {},
            {},
            {{83, 83, 212}, },
            {{73, 73, 213}, },
            {{78, 78, 214}, },
            {{80, 80, 215}, },
            {{67, 67, 216}, },
            {{79, 79, 217}, },
            {{82, 82, 218}, },
            {{84, 84, 219}, },
            {{83, 83, 220}, },
            {{73, 73, 221}, },
            {{85, 85, 222}, },
            {{69, 69, 223}, },
            {{48, 57, 30}, {65, 78, 31}, {79, 79, 224}, {80, 122, -11}, },
            {{48, 83, -67}, {84, 84, 225}, {85, 122, -67}, },
            {{48, 77, -91}, {78, 78, 226}, {79, 122, -91}, },
            {{95, 95, 227}, },
            {{78, 78, 228}, },
            {{95, 95, 229}, },
            {{83, 83, 230}, },
            {{78, 78, 231}, },
            {{79, 79, 232}, },
            {{79, 79, 233}, },
            {},
            {{83, 83, 234}, },
            {{84, 84, 235}, },
            {{69, 69, 236}, },
            {{76, 76, 237}, },
            {{78, 78, 238}, },
            {{78, 78, 239}, },
            {{69, 69, 240}, },
            {},
            {{69, 69, 241}, },
            {{84, 84, 242}, },
            {{83, 83, 243}, },
            {{48, 77, -91}, {78, 78, 244}, {79, 122, -91}, },
            {{48, 57, 30}, {65, 65, 245}, {66, 90, 31}, {95, 122, -8}, },
            {{48, 83, -67}, {84, 84, 246}, {85, 122, -67}, },
            {{67, 67, 247}, {86, 86, 248}, },
            {{83, 83, 249}, },
            {{67, 67, 250}, {86, 86, 251}, },
            {},
            {{84, 84, 252}, },
            {{78, 78, 253}, },
            {{78, 78, 254}, },
            {{65, 65, 255}, },
            {},
            {{82, 82, 256}, },
            {{65, 65, 257}, },
            {{83, 83, 258}, },
            {},
            {},
            {{83, 83, 259}, },
            {{73, 73, 260}, },
            {},
            {{48, 82, -41}, {83, 83, 261}, {84, 122, -41}, },
            {{48, 83, -67}, {84, 84, 262}, {85, 122, -67}, },
            {{48, 122, -8}, },
            {{79, 79, 263}, },
            {{65, 65, 264}, },
            {},
            {{79, 79, 265}, },
            {{65, 65, 266}, },
            {{83, 83, 267}, },
            {{83, 83, 268}, },
            {},
            {{84, 84, 269}, },
            {{65, 65, 270}, },
            {{85, 85, 271}, },
            {},
            {},
            {{79, 79, 272}, },
            {{48, 122, -8}, },
            {{48, 72, -62}, {73, 73, 273}, {74, 122, -62}, },
            {{78, 78, 274}, },
            {{82, 82, 275}, },
            {{78, 78, 276}, },
            {{82, 82, 277}, },
            {},
            {},
            {{73, 73, 278}, },
            {{84, 84, 279}, },
            {{83, 83, 280}, },
            {{78, 78, 281}, },
            {{48, 78, -204}, {79, 79, 282}, {80, 122, -11}, },
            {{83, 83, 283}, },
            {{73, 73, 284}, },
            {{83, 83, 285}, },
            {{73, 73, 286}, },
            {{79, 79, 287}, },
            {{73, 73, 288}, },
            {{69, 69, 289}, },
            {},
            {{48, 77, -91}, {78, 78, 290}, {79, 122, -91}, },
            {{84, 84, 291}, },
            {{65, 65, 292}, },
            {{84, 84, 293}, },
            {{65, 65, 294}, },
            {{78, 78, 295}, },
            {{79, 79, 296}, },
            {},
            {{48, 122, -8}, },
            {{65, 65, 297}, },
            {{66, 66, 298}, },
            {{65, 65, 299}, },
            {{66, 66, 300}, },
            {},
            {{78, 78, 301}, },
            {{78, 78, 302}, },
            {{76, 76, 303}, },
            {{78, 78, 304}, },
            {{76, 76, 305}, },
            {{83, 83, 306}, },
            {{84, 84, 307}, },
            {{69, 69, 308}, },
            {{84, 84, 309}, },
            {{69, 69, 310}, },
            {},
            {{83, 83, 311}, },
            {{83, 83, 312}, },
            {{83, 83, 313}, },
            {{83, 83, 314}, },
            {},
            {},
            {},
            {},
        }
        { // NORMAL
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {33, 33, 3}, {34, 34, 4}, {35, 35, 5}, {36, 36, 6}, {37, 37, 7}, {38, 38, 8}, {39, 39, 9}, {40, 40, 10}, {41, 41, 11}, {42, 42, 12}, {43, 43, 13}, {44, 44, 14}, {45, 45, 15}, {46, 46, 16}, {47, 47, 17}, {48, 48, 18}, {49, 57, 19}, {58, 58, 20}, {59, 59, 21}, {60, 60, 22}, {61, 61, 23}, {62, 62, 24}, {64, 64, 25}, {65, 65, 26}, {66, 66, 27}, {67, 67, 28}, {68, 68, 29}, {69, 69, 30}, {70, 70, 31}, {71, 72, 32}, {73, 73, 33}, {74, 75, 32}, {76, 76, 34}, {77, 77, 35}, {78, 78, 36}, {79, 79, 37}, {80, 80, 38}, {81, 81, 32}, {82, 82, 39}, {83, 83, 40}, {84, 84, 41}, {85, 85, 42}, {86, 86, 43}, {87, 87, 44}, {88, 90, 32}, {91, 91, 45}, {92, 92, 46}, {93, 93, 47}, {94, 94, 48}, {95, 95, 49}, {97, 97, 50}, {98, 98, 51}, {99, 99, 52}, {100, 100, 53}, {101, 101, 54}, {102, 102, 55}, {103, 104, 54}, {105, 105, 56}, {106, 107, 54}, {108, 108, 57}, {109, 109, 58}, {110, 110, 59}, {111, 111, 60}, {112, 112, 61}, {113, 113, 54}, {114, 114, 62}, {115, 115, 63}, {116, 116, 64}, {117, 117, 65}, {118, 122, 54}, {123, 123, 66}, {124, 124, 67}, {125, 125, 68}, {126, 126, 69}, {127, 160, 1}, {172, 172, 70}, {183, 183, 71}, {215, 215, 72}, {247, 247, 73}, {955, 955, 74}, {8206, 8207, 1}, {8229, 8229, 75}, {8232, 8233, 1}, {8315, 8315, 76}, {8469, 8469, 77}, {8473, 8473, 78}, {8484, 8484, 79}, {8592, 8592, 80}, {8593, 8593, 81}, {8594, 8594, 82}, {8595, 8595, 83}, {8596, 8596, 84}, {8608, 8608, 85}, {8611, 8611, 86}, {8614, 8614, 87}, {8658, 8658, 88}, {8660, 8660, 89}, {8696, 8696, 90}, {8701, 8701, 91}, {8702, 8702, 92}, {8704, 8704, 93}, {8707, 8707, 94}, {8709, 8709, 95}, {8712, 8712, 96}, {8713, 8713, 97}, {8719, 8719, 98}, {8721, 8721, 99}, {8722, 8722, 100}, {8739, 8739, 101}, {8741, 8741, 102}, {8743, 8743, 103}, {8744, 8744, 104}, {8745, 8745, 105}, {8746, 8746, 106}, {8764, 8764, 107}, {8800, 8800, 108}, {8804, 8804, 109}, {8805, 8805, 110}, {8834, 8834, 111}, {8836, 8836, 112}, {8838, 8838, 113}, {8840, 8840, 114}, {8855, 8855, 115}, {8868, 8868, 116}, {8869, 8869, 117}, {8898, 8898, 118}, {8899, 8899, 119}, {8918, 8918, 120}, {8978, 8978, 121}, {9654, 9654, 122}, {9655, 9655, 123}, {9664, 9664, 124}, {9665, 9665, 125}, {10496, 10496, 126}, {10516, 10516, 127}, {10518, 10518, 128}, {10852, 10852, 129}, {10853, 10853, 130}, {57600, 57600, 131}, {57601, 57601, 132}, {57602, 57602, 133}, {57603, 57603, 134}, },
            {{0, 9, 1}, {11, 12, 1}, {14, 32, 1}, {127, 160, 1}, {8206, 8207, 1}, {8232, 8233, 1}, },
            {},
            {},
            {{0, 9, 135}, {11, 12, 135}, {14, 33, 135}, {34, 34, 136}, {35, 91, 135}, {92, 92, 137}, {93, 65535, 135}, },
            {{33, 33, 138}, },
            {},
            {},
            {},
            {{39, 39, 139}, },
            {},
            {},
            {{42, 42, 140}, },
            {{45, 45, 141}, {8722, 8722, 142}, },
            {},
            {{45, 45, 143}, {62, 62, 144}, {8722, 8722, 145}, },
            {{46, 46, 146}, },
            {{42, 42, 147}, {47, 47, 148}, {58, 58, 149}, {60, 60, 150}, {61, 61, 151}, {92, 92, 152}, {124, 124, 153}, },
            {{48, 57, 19}, {120, 120, 154}, },
            {{48, 57, 19}, },
            {{58, 58, 155}, {61, 61, 156}, {8712, 8712, 157}, },
            {},
            {{43, 43, 158}, {45, 45, 159}, {58, 58, 160}, {60, 60, 161}, {61, 61, 162}, {124, 124, 163}, {8722, 8722, 164}, },
            {{61, 61, 165}, {62, 62, 166}, },
            {{43, 43, 167}, {45, 45, 168}, {60, 60, 169}, {61, 61, 170}, {8722, 8722, 171}, },
            {{35, 35, 172}, },
            {{48, 57, 173}, {65, 65, 174}, {66, 66, 175}, {67, 77, 174}, {78, 78, 176}, {79, 82, 174}, {83, 83, 177}, {84, 90, 174}, {95, 95, 178}, {97, 122, 179}, },
            {{48, 57, 173}, {65, 68, 174}, {69, 69, 180}, {70, 78, 174}, {79, 79, 181}, {80, 90, 174}, {95, 122, -28}, },
            {{48, 57, 173}, {65, 65, 182}, {66, 71, 174}, {72, 72, 183}, {73, 78, 174}, {79, 79, 184}, {80, 122, -29}, },
            {{48, 68, -29}, {69, 69, 185}, {70, 78, 174}, {79, 79, 186}, {80, 84, 174}, {85, 85, 187}, {86, 90, 174}, {95, 122, -28}, },
            {{48, 57, 173}, {65, 72, 174}, {73, 73, 188}, {74, 75, 174}, {76, 76, 189}, {77, 77, 174}, {78, 78, 190}, {79, 81, 174}, {82, 82, 191}, {83, 85, 174}, {86, 86, 192}, {87, 87, 174}, {88, 88, 193}, {89, 90, 174}, {95, 122, -28}, },
            {{48, 57, 173}, {65, 65, 194}, {66, 72, 174}, {73, 73, 195}, {74, 78, 174}, {79, 79, 196}, {80, 81, 174}, {82, 82, 197}, {83, 84, 174}, {85, 85, 198}, {86, 122, -31}, },
            {{48, 57, 173}, {65, 90, 174}, {95, 122, -28}, },
            {{48, 57, 173}, {65, 69, 174}, {70, 70, 199}, {71, 76, 174}, {77, 77, 200}, {78, 78, 201}, {79, 90, 174}, {95, 122, -28}, },
            {{48, 68, -29}, {69, 69, 202}, {70, 78, 174}, {79, 79, 203}, {80, 122, -29}, },
            {{48, 57, 173}, {65, 65, 204}, {66, 72, 174}, {73, 73, 205}, {74, 78, 174}, {79, 79, 206}, {80, 122, -29}, },
            {{48, 57, 173}, {65, 65, 207}, {66, 90, 174}, {95, 122, -28}, },
            {{48, 69, -35}, {70, 70, 208}, {71, 79, 174}, {80, 80, 209}, {81, 81, 174}, {82, 82, 210}, {83, 90, 174}, {95, 122, -28}, },
            {{48, 72, -32}, {73, 73, 211}, {74, 78, 174}, {79, 79, 212}, {80, 81, 174}, {82, 82, 213}, {83, 122, -39}, },
            {{48, 68, -29}, {69, 69, 214}, {70, 84, 174}, {85, 85, 215}, {86, 122, -31}, },
            {{48, 68, -29}, {69, 69, 216}, {70, 72, 174}, {73, 73, 217}, {74, 83, 174}, {84, 84, 218}, {85, 88, 174}, {89, 89, 219}, {90, 90, 174}, {95, 122, -28}, },
            {{48, 57, 173}, {65, 71, 174}, {72, 72, 220}, {73, 81, 174}, {82, 82, 221}, {83, 88, 174}, {89, 89, 222}, {90, 122, -42}, },
            {{48, 57, 173}, {65, 77, 174}, {78, 78, 223}, {79, 82, 174}, {83, 83, 224}, {84, 122, -28}, },
            {{48, 57, 173}, {65, 65, 225}, {66, 122, -38}, },
            {{48, 71, -43}, {72, 72, 226}, {73, 90, 174}, {95, 122, -28}, },
            {},
            {{47, 47, 227}, {124, 124, 228}, },
            {},
            {},
            {},
            {{48, 95, -34}, {97, 113, 179}, {114, 114, 229}, {115, 122, 179}, },
            {{48, 95, -34}, {97, 101, 179}, {102, 102, 230}, {103, 104, 179}, {105, 105, 231}, {106, 110, 179}, {111, 111, 232}, {112, 115, 179}, {116, 116, 233}, {117, 122, 179}, },
            {{48, 95, -34}, {97, 97, 234}, {98, 107, 179}, {108, 108, 235}, {109, 110, 179}, {111, 111, 236}, {112, 122, 179}, },
            {{48, 95, -34}, {97, 110, 179}, {111, 111, 237}, {112, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 95, -34}, {97, 97, 238}, {98, 104, 179}, {105, 105, 239}, {106, 109, 179}, {110, 110, 240}, {111, 113, 179}, {114, 114, 241}, {115, 122, 179}, },
            {{48, 95, -34}, {97, 99, 179}, {100, 100, 242}, {101, 109, 179}, {110, 110, 243}, {111, 114, 179}, {115, 115, 244}, {116, 116, 245}, {117, 122, 179}, },
            {{48, 95, -34}, {97, 97, 246}, {98, 100, 179}, {101, 101, 247}, {102, 122, 179}, },
            {{48, 95, -34}, {97, 97, 248}, {98, 104, 179}, {105, 105, 249}, {106, 110, 179}, {111, 111, 250}, {112, 122, 179}, },
            {{48, 110, -55}, {111, 111, 251}, {112, 122, 179}, },
            {{48, 113, -52}, {114, 114, 252}, {115, 122, 179}, },
            {{48, 95, -34}, {97, 100, 179}, {101, 101, 253}, {102, 110, 179}, {111, 111, 254}, {112, 113, 179}, {114, 114, 255}, {115, 122, 179}, },
            {{48, 95, -34}, {97, 97, 256}, {98, 100, 179}, {101, 101, 257}, {102, 104, 179}, {105, 105, 258}, {106, 122, 179}, },
            {{48, 100, -63}, {101, 101, 259}, {102, 104, 179}, {105, 105, 260}, {106, 106, 179}, {107, 107, 261}, {108, 110, 179}, {111, 111, 262}, {112, 115, 179}, {116, 116, 263}, {117, 117, 264}, {118, 122, 179}, },
            {{48, 95, -34}, {97, 97, 265}, {98, 110, 179}, {111, 111, 266}, {112, 113, 179}, {114, 114, 267}, {115, 122, 179}, },
            {{48, 95, -34}, {97, 109, 179}, {110, 110, 268}, {111, 122, 179}, },
            {},
            {{45, 45, 269}, {62, 62, 270}, {124, 124, 271}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {{185, 185, 272}, },
            {{49, 49, 273}, {8321, 8321, 274}, },
            {{49, 49, 275}, {8321, 8321, 276}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {{45, 8722, -17}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {{0, 65535, -6}, },
            {},
            {{0, 9, 277}, {11, 12, 277}, {14, 65535, 277}, },
            {},
            {{39, 39, 278}, },
            {},
            {{62, 62, 279}, },
            {{62, 62, 279}, },
            {{62, 62, 280}, },
            {},
            {{62, 62, 280}, },
            {},
            {{64, 64, 281}, },
            {{0, 9, 282}, {10, 10, 283}, {11, 12, 282}, {13, 13, 283}, {14, 65535, 282}, },
            {},
            {{58, 58, 284}, {60, 60, 285}, },
            {},
            {},
            {{92, 92, 286}, },
            {{48, 57, 287}, {65, 70, 287}, {97, 102, 287}, },
            {},
            {},
            {},
            {},
            {{45, 45, 288}, {62, 62, 289}, },
            {},
            {{45, 45, 290}, {58, 58, 291}, {124, 124, 292}, {8722, 8722, 293}, },
            {{62, 62, 294}, },
            {},
            {{62, 62, 289}, },
            {},
            {},
            {{62, 62, 295}, },
            {{62, 62, 296}, },
            {},
            {},
            {{62, 62, 296}, },
            {{108, 108, 297}, {112, 112, 298}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 57, 173}, {65, 82, 174}, {83, 83, 299}, {84, 122, -28}, },
            {{48, 57, 173}, {65, 88, 174}, {89, 89, 300}, {90, 122, -42}, },
            {{48, 82, -177}, {83, 83, 301}, {84, 122, -28}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 57, 173}, {65, 70, 174}, {71, 71, 302}, {72, 90, 174}, {95, 122, -28}, },
            {{48, 57, 173}, {65, 67, 174}, {68, 68, 303}, {69, 78, 174}, {79, 79, 304}, {80, 122, -29}, },
            {{48, 82, -177}, {83, 83, 305}, {84, 122, -28}, },
            {{48, 57, 173}, {65, 78, 174}, {79, 79, 306}, {80, 122, -29}, },
            {{48, 57, 173}, {65, 76, 174}, {77, 77, 307}, {78, 78, 308}, {79, 84, 174}, {85, 85, 309}, {86, 122, -31}, },
            {{48, 69, -35}, {70, 70, 310}, {71, 90, 174}, {95, 122, -28}, },
            {{48, 122, -34}, },
            {{48, 76, -186}, {77, 77, 311}, {78, 90, 174}, {95, 122, -28}, },
            {{48, 57, 173}, {65, 83, 174}, {84, 84, 312}, {85, 90, 174}, {95, 122, -28}, },
            {{48, 82, -177}, {83, 83, 313}, {84, 122, -28}, },
            {{48, 67, -183}, {68, 68, 314}, {69, 90, 174}, {95, 122, -28}, },
            {{48, 57, 173}, {65, 81, 174}, {82, 82, 315}, {83, 122, -39}, },
            {{48, 68, -29}, {69, 69, 316}, {70, 90, 174}, {95, 122, -28}, },
            {{48, 57, 173}, {65, 79, 174}, {80, 80, 317}, {81, 83, 174}, {84, 84, 318}, {85, 122, -190}, },
            {{48, 57, 173}, {65, 75, 174}, {76, 76, 319}, {77, 90, 174}, {95, 122, -28}, },
            {{48, 77, -44}, {78, 78, 320}, {79, 122, -35}, },
            {{48, 81, -193}, {82, 82, 321}, {83, 122, -39}, },
            {{48, 68, -29}, {69, 69, 322}, {70, 122, -194}, },
            {{48, 77, -44}, {78, 78, 323}, {79, 122, -35}, },
            {{48, 122, -34}, },
            {{48, 79, -195}, {80, 80, 324}, {81, 90, 174}, {95, 122, -28}, },
            {{48, 57, 173}, {65, 66, 174}, {67, 67, 325}, {68, 72, 174}, {73, 73, 326}, {74, 83, 174}, {84, 84, 327}, {85, 85, 174}, {86, 86, 328}, {87, 90, 174}, {95, 122, -28}, },
            {{48, 83, -190}, {84, 84, 329}, {85, 122, -190}, },
            {{48, 66, -203}, {67, 67, 330}, {68, 90, 174}, {95, 122, -28}, },
            {{48, 66, -203}, {67, 67, 331}, {68, 87, 174}, {88, 88, 332}, {89, 122, -32}, },
            {{48, 77, -44}, {78, 78, 333}, {79, 122, -35}, },
            {{48, 67, -183}, {68, 68, 334}, {69, 122, -192}, },
            {{48, 83, -190}, {84, 84, 335}, {85, 122, -190}, },
            {{48, 122, -34}, },
            {{48, 68, -29}, {69, 69, 336}, {70, 122, -194}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 57, 173}, {65, 86, 174}, {87, 87, 337}, {88, 90, 174}, {95, 122, -28}, },
            {{48, 68, -29}, {69, 69, 338}, {70, 78, 174}, {79, 79, 339}, {80, 122, -29}, },
            {{48, 69, -35}, {70, 70, 340}, {71, 122, -187}, },
            {{48, 75, -196}, {76, 76, 341}, {77, 122, -196}, },
            {{48, 68, -29}, {69, 69, 342}, {70, 75, 174}, {76, 76, 343}, {77, 83, 174}, {84, 84, 344}, {85, 122, -190}, },
            {{48, 70, -182}, {71, 71, 345}, {72, 122, -182}, },
            {{48, 81, -193}, {82, 82, 346}, {83, 122, -39}, },
            {{48, 82, -177}, {83, 83, 347}, {84, 122, -28}, },
            {{48, 68, -29}, {69, 69, 348}, {70, 122, -194}, },
            {{48, 57, 173}, {65, 84, 174}, {85, 85, 349}, {86, 122, -31}, },
            {{48, 79, -195}, {80, 80, 350}, {81, 122, -202}, },
            {{48, 72, -32}, {73, 73, 351}, {74, 90, 174}, {95, 122, -28}, },
            {{48, 68, -29}, {69, 69, 352}, {70, 122, -194}, },
            {{48, 75, -196}, {76, 76, 353}, {77, 81, 174}, {82, 82, 354}, {83, 122, -39}, },
            {{48, 68, -29}, {69, 69, 355}, {70, 72, 174}, {73, 73, 356}, {74, 122, -225}, },
            {},
            {{47, 47, 357}, },
            {{48, 95, -34}, {97, 104, 179}, {105, 105, 358}, {106, 122, 179}, },
            {{48, 95, -34}, {97, 97, 359}, {98, 122, 179}, },
            {{48, 109, -67}, {110, 110, 360}, {111, 122, 179}, },
            {{48, 110, -55}, {111, 111, 361}, {112, 122, 179}, },
            {{48, 113, -52}, {114, 114, 362}, {115, 122, 179}, },
            {{48, 113, -52}, {114, 114, 363}, {115, 122, 179}, },
            {{48, 110, -55}, {111, 111, 364}, {112, 122, 179}, },
            {{48, 109, -67}, {110, 110, 365}, {111, 122, 179}, },
            {{48, 95, -34}, {97, 108, 179}, {109, 109, 366}, {110, 122, 179}, },
            {{48, 95, -34}, {97, 115, 179}, {116, 116, 367}, {117, 122, 179}, },
            {{48, 113, -52}, {114, 114, 368}, {115, 122, 179}, },
            {{48, 95, -34}, {97, 98, 179}, {99, 99, 369}, {100, 122, 179}, },
            {{48, 110, -55}, {111, 111, 370}, {112, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 101, -53}, {102, 102, 371}, {103, 115, 179}, {116, 116, 372}, {117, 122, 179}, },
            {{48, 100, -63}, {101, 101, 373}, {102, 122, 179}, },
            {{48, 100, -63}, {101, 101, 374}, {102, 122, 179}, },
            {{48, 95, -34}, {97, 114, 179}, {115, 115, 375}, {116, 122, 179}, },
            {{48, 101, -53}, {102, 102, 376}, {103, 122, 179}, },
            {{48, 95, -34}, {97, 119, 179}, {120, 120, 377}, {121, 122, 179}, },
            {{48, 109, -67}, {110, 110, 378}, {111, 113, 179}, {114, 114, 379}, {115, 122, 179}, },
            {{48, 99, -58}, {100, 100, 380}, {101, 122, 179}, },
            {{48, 115, -240}, {116, 116, 381}, {117, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 113, -52}, {114, 114, 382}, {115, 122, 179}, },
            {{48, 114, -248}, {115, 115, 383}, {116, 122, 179}, },
            {{48, 100, -63}, {101, 101, 384}, {102, 105, 179}, {106, 106, 385}, {107, 122, 179}, },
            {{48, 109, -67}, {110, 110, 386}, {111, 122, 179}, },
            {{48, 98, -242}, {99, 99, 387}, {100, 107, 179}, {108, 108, 388}, {109, 117, 179}, {118, 118, 389}, {119, 122, 179}, },
            {{48, 95, -34}, {97, 102, 179}, {103, 103, 390}, {104, 122, 179}, },
            {{48, 95, -34}, {97, 112, 179}, {113, 113, 391}, {114, 122, 179}, },
            {{48, 95, -34}, {97, 121, 179}, {122, 122, 392}, },
            {{48, 104, -231}, {105, 105, 393}, {106, 122, 179}, },
            {{48, 109, -67}, {110, 110, 394}, {111, 122, 179}, },
            {{48, 113, -52}, {114, 114, 395}, {115, 122, 179}, },
            {{48, 95, -34}, {97, 97, 179}, {98, 98, 396}, {99, 99, 397}, {100, 122, 179}, },
            {{48, 104, -231}, {105, 105, 398}, {106, 122, 179}, },
            {{48, 95, -34}, {97, 111, 179}, {112, 112, 399}, {113, 122, 179}, },
            {{48, 100, -63}, {101, 101, 400}, {102, 122, 179}, },
            {{48, 104, -231}, {105, 105, 401}, {106, 122, 179}, },
            {{62, 62, 402}, },
            {{62, 62, 403}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {{0, 65535, -6}, },
            {},
            {{62, 62, 404}, },
            {{62, 62, 405}, },
            {},
            {{0, 65535, -150}, },
            {},
            {},
            {{58, 58, 406}, },
            {},
            {{48, 102, -156}, },
            {},
            {{62, 62, 407}, },
            {{62, 62, 408}, },
            {},
            {},
            {{62, 62, 408}, },
            {},
            {{62, 62, 409}, },
            {{62, 62, 410}, },
            {{105, 105, 411}, },
            {{114, 114, 412}, },
            {{48, 83, -190}, {84, 84, 413}, {85, 122, -190}, },
            {{48, 122, -34}, },
            {{48, 68, -29}, {69, 69, 414}, {70, 122, -194}, },
            {{48, 72, -32}, {73, 73, 415}, {74, 122, -225}, },
            {{48, 88, -178}, {89, 89, 416}, {90, 122, -42}, },
            {{48, 75, -196}, {76, 76, 417}, {77, 122, -196}, },
            {{48, 68, -29}, {69, 69, 418}, {70, 122, -194}, },
            {{48, 72, -32}, {73, 73, 419}, {74, 122, -225}, },
            {{48, 79, -195}, {80, 80, 420}, {81, 122, -202}, },
            {{48, 66, -203}, {67, 67, 421}, {68, 82, 174}, {83, 83, 422}, {84, 122, -28}, },
            {{48, 77, -44}, {78, 78, 423}, {79, 122, -35}, },
            {{48, 72, -32}, {73, 73, 424}, {74, 122, -225}, },
            {{48, 76, -186}, {77, 77, 425}, {78, 122, -189}, },
            {{48, 71, -43}, {72, 72, 426}, {73, 122, -46}, },
            {{48, 68, -29}, {69, 69, 427}, {70, 72, 174}, {73, 73, 428}, {74, 122, -225}, },
            {{48, 122, -34}, },
            {{48, 78, -185}, {79, 79, 429}, {80, 122, -29}, },
            {{48, 77, -44}, {78, 78, 430}, {79, 122, -35}, },
            {{48, 68, -29}, {69, 69, 431}, {70, 81, 174}, {82, 82, 432}, {83, 122, -39}, },
            {{48, 68, -29}, {69, 69, 433}, {70, 122, -194}, },
            {{48, 82, -177}, {83, 83, 434}, {84, 122, -28}, },
            {{48, 48, 173}, {49, 49, 435}, {50, 57, 173}, {65, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 68, -29}, {69, 69, 436}, {70, 122, -194}, },
            {{48, 66, -203}, {67, 67, 437}, {68, 122, -205}, },
            {{48, 75, -196}, {76, 76, 438}, {77, 78, 174}, {79, 79, 439}, {80, 122, -29}, },
            {{48, 75, -196}, {76, 76, 440}, {77, 122, -196}, },
            {{48, 83, -190}, {84, 84, 441}, {85, 122, -190}, },
            {{48, 68, -29}, {69, 69, 442}, {70, 122, -194}, },
            {{48, 57, 173}, {65, 65, 443}, {66, 122, -38}, },
            {{48, 122, -34}, },
            {{48, 57, 173}, {65, 65, 444}, {66, 122, -38}, },
            {{48, 71, -43}, {72, 72, 445}, {73, 122, -46}, },
            {{48, 72, -32}, {73, 73, 446}, {74, 122, -225}, },
            {{48, 72, -32}, {73, 73, 447}, {74, 122, -225}, },
            {{48, 68, -29}, {69, 69, 448}, {70, 122, -194}, },
            {{48, 48, 173}, {49, 49, 449}, {50, 57, 173}, {65, 84, 174}, {85, 85, 450}, {86, 122, -31}, },
            {{48, 81, -193}, {82, 82, 451}, {83, 122, -39}, },
            {{48, 48, 173}, {49, 49, 452}, {50, 122, -322}, },
            {{48, 67, -183}, {68, 68, 453}, {69, 122, -192}, },
            {{48, 76, -186}, {77, 77, 454}, {78, 79, 174}, {80, 80, 455}, {81, 122, -202}, },
            {{48, 68, -29}, {69, 69, 456}, {70, 72, 174}, {73, 73, 457}, {74, 122, -225}, },
            {{48, 68, -29}, {69, 69, 458}, {70, 122, -194}, },
            {{48, 82, -177}, {83, 83, 459}, {84, 122, -28}, },
            {{48, 68, -29}, {69, 69, 460}, {70, 122, -194}, },
            {{48, 82, -177}, {83, 83, 461}, {84, 122, -28}, },
            {{48, 76, -186}, {77, 77, 462}, {78, 122, -189}, },
            {{48, 72, -32}, {73, 73, 463}, {74, 122, -225}, },
            {{48, 83, -190}, {84, 84, 464}, {85, 122, -190}, },
            {{48, 77, -44}, {78, 78, 465}, {79, 122, -35}, },
            {{48, 68, -29}, {69, 69, 466}, {70, 122, -194}, },
            {{48, 68, -29}, {69, 69, 467}, {70, 122, -194}, },
            {{48, 78, -185}, {79, 79, 468}, {80, 122, -29}, },
            {{48, 82, -177}, {83, 83, 469}, {84, 122, -28}, },
            {{48, 84, -223}, {85, 85, 470}, {86, 122, -31}, },
            {{48, 72, -32}, {73, 73, 471}, {74, 122, -225}, },
            {{48, 77, -44}, {78, 78, 472}, {79, 81, 174}, {82, 82, 473}, {83, 122, -39}, },
            {{48, 75, -196}, {76, 76, 474}, {77, 122, -196}, },
            {},
            {{48, 115, -240}, {116, 116, 475}, {117, 122, 179}, },
            {{48, 95, -34}, {97, 107, 179}, {108, 108, 476}, {109, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 107, -361}, {108, 108, 477}, {109, 122, 179}, },
            {{48, 100, -63}, {101, 101, 478}, {102, 116, 179}, {117, 117, 479}, {118, 122, 179}, },
            {{48, 99, -58}, {100, 100, 480}, {101, 122, 179}, },
            {{48, 114, -248}, {115, 115, 481}, {116, 122, 179}, },
            {{48, 98, -242}, {99, 99, 482}, {100, 114, 179}, {115, 115, 483}, {116, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 95, -34}, {97, 103, 179}, {104, 104, 484}, {105, 122, 179}, },
            {{48, 114, -248}, {115, 115, 485}, {116, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 109, -67}, {110, 110, 486}, {111, 122, 179}, },
            {{48, 104, -231}, {105, 105, 487}, {106, 122, 179}, },
            {{48, 100, -63}, {101, 101, 488}, {102, 122, 179}, },
            {{48, 112, -261}, {113, 113, 489}, {114, 122, 179}, },
            {{48, 113, -52}, {114, 114, 490}, {115, 122, 179}, },
            {{48, 115, -240}, {116, 116, 491}, {117, 122, 179}, },
            {{48, 115, -240}, {116, 116, 492}, {117, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 113, -52}, {114, 114, 493}, {115, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 108, -239}, {109, 109, 494}, {110, 122, 179}, },
            {{48, 115, -240}, {116, 116, 495}, {117, 122, 179}, },
            {{48, 99, -58}, {100, 100, 496}, {101, 101, 179}, {102, 102, 497}, {103, 122, 179}, },
            {{48, 48, 173}, {49, 49, 498}, {50, 50, 499}, {51, 57, 173}, {65, 122, -34}, },
            {{48, 95, -34}, {97, 106, 179}, {107, 107, 500}, {108, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 103, -369}, {104, 104, 501}, {105, 122, 179}, },
            {{48, 48, 173}, {49, 49, 502}, {50, 122, -322}, },
            {{48, 100, -63}, {101, 101, 503}, {102, 122, 179}, },
            {{48, 111, -268}, {112, 112, 504}, {113, 122, 179}, },
            {{48, 114, -248}, {115, 115, 505}, {116, 122, 179}, },
            {{48, 95, -34}, {97, 116, 179}, {117, 117, 506}, {118, 122, 179}, },
            {{48, 115, -240}, {116, 116, 507}, {117, 122, 179}, },
            {{48, 98, -242}, {99, 99, 508}, {100, 122, 179}, },
            {{48, 107, -361}, {108, 108, 509}, {109, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 100, -63}, {101, 101, 510}, {102, 122, 179}, },
            {{48, 110, -55}, {111, 111, 511}, {112, 122, 179}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {{62, 62, 512}, },
            {},
            {},
            {{116, 116, 513}, },
            {{101, 101, 514}, },
            {{48, 81, -193}, {82, 82, 515}, {83, 122, -39}, },
            {{48, 81, -193}, {82, 82, 516}, {83, 122, -39}, },
            {{48, 77, -44}, {78, 78, 517}, {79, 122, -35}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 66, -203}, {67, 67, 518}, {68, 122, -205}, },
            {{48, 84, -223}, {85, 85, 519}, {86, 122, -31}, },
            {{48, 81, -193}, {82, 82, 520}, {83, 122, -39}, },
            {{48, 83, -190}, {84, 84, 521}, {85, 122, -190}, },
            {{48, 83, -190}, {84, 84, 522}, {85, 122, -190}, },
            {{48, 77, -44}, {78, 78, 523}, {79, 122, -35}, },
            {{48, 88, -178}, {89, 89, 524}, {90, 122, -42}, },
            {{48, 68, -29}, {69, 69, 525}, {70, 122, -194}, },
            {{48, 122, -34}, },
            {{48, 69, -35}, {70, 70, 526}, {71, 122, -187}, },
            {{48, 81, -193}, {82, 82, 527}, {83, 122, -39}, },
            {{48, 83, -190}, {84, 84, 528}, {85, 122, -190}, },
            {{48, 66, -203}, {67, 67, 529}, {68, 122, -205}, },
            {{48, 68, -29}, {69, 69, 530}, {70, 122, -194}, },
            {{48, 77, -44}, {78, 78, 531}, {79, 122, -35}, },
            {{48, 68, -29}, {69, 69, 532}, {70, 122, -194}, },
            {{48, 122, -34}, },
            {{48, 83, -190}, {84, 84, 533}, {85, 122, -190}, },
            {{48, 83, -190}, {84, 84, 534}, {85, 122, -190}, },
            {{48, 68, -29}, {69, 69, 535}, {70, 122, -194}, },
            {{48, 81, -193}, {82, 82, 536}, {83, 122, -39}, },
            {{48, 84, -223}, {85, 85, 537}, {86, 122, -31}, },
            {{48, 72, -32}, {73, 73, 538}, {74, 122, -225}, },
            {{48, 70, -182}, {71, 71, 539}, {72, 81, 174}, {82, 82, 540}, {83, 122, -39}, },
            {{48, 81, -193}, {82, 82, 541}, {83, 122, -39}, },
            {{48, 75, -196}, {76, 76, 542}, {77, 122, -196}, },
            {{48, 72, -32}, {73, 73, 543}, {74, 122, -225}, },
            {{48, 77, -44}, {78, 78, 544}, {79, 122, -35}, },
            {{48, 77, -44}, {78, 78, 545}, {79, 122, -35}, },
            {{48, 75, -196}, {76, 76, 546}, {77, 122, -196}, },
            {{48, 122, -34}, },
            {{48, 81, -193}, {82, 82, 547}, {83, 122, -39}, },
            {{48, 57, 173}, {65, 65, 548}, {66, 122, -38}, },
            {{48, 122, -34}, },
            {{48, 72, -32}, {73, 73, 549}, {74, 122, -225}, },
            {{48, 78, -185}, {79, 79, 550}, {80, 122, -29}, },
            {{48, 68, -29}, {69, 69, 551}, {70, 122, -194}, },
            {{48, 81, -193}, {82, 82, 552}, {83, 122, -39}, },
            {{48, 77, -44}, {78, 78, 553}, {79, 122, -35}, },
            {{48, 82, -177}, {83, 83, 554}, {84, 90, 174}, {95, 95, 555}, {97, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 66, -203}, {67, 67, 556}, {68, 122, -205}, },
            {{48, 122, -34}, },
            {{48, 57, 173}, {65, 65, 557}, {66, 122, -38}, },
            {{48, 77, -44}, {78, 78, 558}, {79, 122, -35}, },
            {{48, 68, -29}, {69, 69, 559}, {70, 122, -194}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 77, -44}, {78, 78, 560}, {79, 122, -35}, },
            {{48, 122, -34}, },
            {{48, 68, -29}, {69, 69, 561}, {70, 122, -194}, },
            {{48, 57, 173}, {65, 65, 562}, {66, 122, -38}, },
            {{48, 122, -34}, },
            {{48, 68, -29}, {69, 69, 563}, {70, 122, -194}, },
            {{48, 68, -29}, {69, 69, 564}, {70, 122, -194}, },
            {{48, 95, -34}, {97, 120, 179}, {121, 121, 565}, {122, 122, 179}, },
            {{48, 114, -248}, {115, 115, 566}, {116, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 100, -63}, {101, 101, 567}, {102, 122, 179}, },
            {{48, 100, -63}, {101, 101, 568}, {102, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 116, -397}, {117, 117, 569}, {118, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 115, -240}, {116, 116, 570}, {117, 122, 179}, },
            {{48, 100, -63}, {101, 101, 571}, {102, 122, 179}, },
            {{48, 115, -240}, {116, 116, 572}, {117, 122, 179}, },
            {{48, 115, -240}, {116, 116, 573}, {117, 122, 179}, },
            {{48, 119, -250}, {120, 120, 574}, {121, 122, 179}, },
            {{48, 113, -52}, {114, 114, 575}, {115, 122, 179}, },
            {{48, 48, 173}, {49, 49, 576}, {50, 122, -322}, },
            {{48, 95, -34}, {97, 97, 577}, {98, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 110, -55}, {111, 111, 578}, {112, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 101, -53}, {102, 102, 579}, {103, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 104, -231}, {105, 105, 580}, {106, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 115, -240}, {116, 116, 581}, {117, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 115, -240}, {116, 116, 582}, {117, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 98, -242}, {99, 99, 583}, {100, 122, 179}, },
            {{48, 113, -52}, {114, 114, 584}, {115, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 109, -67}, {110, 110, 585}, {111, 122, 179}, },
            {},
            {{101, 101, 586}, },
            {{100, 100, 587}, },
            {{48, 57, 173}, {65, 65, 588}, {66, 122, -38}, },
            {{48, 83, -190}, {84, 84, 589}, {85, 122, -190}, },
            {{48, 122, -34}, },
            {{48, 68, -29}, {69, 69, 590}, {70, 122, -194}, },
            {{48, 83, -190}, {84, 84, 591}, {85, 122, -190}, },
            {{48, 68, -29}, {69, 69, 592}, {70, 122, -194}, },
            {{48, 57, 173}, {65, 65, 593}, {66, 81, 174}, {82, 82, 594}, {83, 122, -39}, },
            {{48, 68, -29}, {69, 69, 595}, {70, 122, -194}, },
            {{48, 68, -29}, {69, 69, 596}, {70, 72, 174}, {73, 73, 597}, {74, 122, -225}, },
            {{48, 90, -34}, {95, 95, 598}, {97, 122, 179}, },
            {{48, 81, -193}, {82, 82, 599}, {83, 122, -39}, },
            {{48, 122, -34}, },
            {{48, 90, -34}, {95, 95, 600}, {97, 122, 179}, },
            {{48, 82, -177}, {83, 83, 601}, {84, 122, -28}, },
            {{48, 83, -190}, {84, 84, 602}, {85, 122, -190}, },
            {{48, 82, -177}, {83, 83, 603}, {84, 122, -28}, },
            {{48, 67, -183}, {68, 68, 604}, {69, 122, -192}, },
            {{48, 122, -34}, },
            {{48, 88, -178}, {89, 89, 605}, {90, 122, -42}, },
            {{48, 72, -32}, {73, 73, 606}, {74, 122, -225}, },
            {{48, 76, -186}, {77, 77, 607}, {78, 122, -189}, },
            {{48, 83, -190}, {84, 84, 608}, {85, 122, -190}, },
            {{48, 67, -183}, {68, 68, 609}, {69, 122, -192}, },
            {{48, 57, 173}, {65, 65, 610}, {66, 122, -38}, },
            {{48, 68, -29}, {69, 69, 611}, {70, 122, -194}, },
            {{48, 122, -34}, },
            {{48, 72, -32}, {73, 73, 612}, {74, 122, -225}, },
            {{48, 90, -34}, {95, 95, 613}, {97, 122, 179}, },
            {{48, 77, -44}, {78, 78, 614}, {79, 122, -35}, },
            {{48, 83, -190}, {84, 84, 615}, {85, 122, -190}, },
            {{48, 83, -190}, {84, 84, 616}, {85, 122, -190}, },
            {{48, 122, -34}, },
            {{48, 57, 173}, {65, 65, 617}, {66, 122, -38}, },
            {{48, 83, -190}, {84, 84, 618}, {85, 122, -190}, },
            {{48, 66, -203}, {67, 67, 619}, {68, 122, -205}, },
            {{48, 83, -190}, {84, 84, 620}, {85, 122, -190}, },
            {{48, 81, -193}, {82, 82, 621}, {83, 122, -39}, },
            {{48, 68, -29}, {69, 69, 622}, {70, 122, -194}, },
            {{48, 68, -29}, {69, 69, 623}, {70, 122, -194}, },
            {{48, 90, -34}, {95, 95, 624}, {97, 122, 179}, },
            {{48, 69, -35}, {70, 70, 625}, {71, 122, -187}, },
            {{48, 83, -190}, {84, 84, 626}, {85, 122, -190}, },
            {{48, 122, -34}, },
            {{48, 70, -182}, {71, 71, 627}, {72, 122, -182}, },
            {{48, 76, -186}, {77, 77, 628}, {78, 122, -189}, },
            {{48, 122, -34}, },
            {{48, 82, -177}, {83, 83, 629}, {84, 122, -28}, },
            {{48, 65, -28}, {66, 66, 630}, {67, 77, 174}, {78, 78, 631}, {79, 122, -35}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 100, -63}, {101, 101, 632}, {102, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 113, -52}, {114, 114, 633}, {115, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 113, -52}, {114, 114, 634}, {115, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 115, -240}, {116, 116, 635}, {117, 122, 179}, },
            {{48, 113, -52}, {114, 114, 636}, {115, 122, 179}, },
            {{48, 104, -231}, {105, 105, 637}, {106, 122, 179}, },
            {{48, 119, -250}, {120, 120, 638}, {121, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 115, -240}, {116, 116, 639}, {117, 122, 179}, },
            {{48, 100, -63}, {101, 101, 640}, {102, 122, 179}, },
            {{48, 122, -34}, },
            {{114, 114, 641}, },
            {{105, 105, 642}, },
            {{48, 66, -203}, {67, 67, 643}, {68, 122, -205}, },
            {{48, 72, -32}, {73, 73, 644}, {74, 122, -225}, },
            {{48, 122, -34}, },
            {{48, 57, 173}, {65, 65, 645}, {66, 122, -38}, },
            {{48, 83, -190}, {84, 84, 646}, {85, 122, -190}, },
            {{48, 77, -44}, {78, 78, 647}, {79, 122, -35}, },
            {{48, 57, 173}, {65, 65, 648}, {66, 122, -38}, },
            {{48, 81, -193}, {82, 82, 649}, {83, 122, -39}, },
            {{48, 122, -34}, },
            {{48, 83, -190}, {84, 84, 650}, {85, 122, -190}, },
            {{48, 57, 173}, {65, 85, 174}, {86, 86, 651}, {87, 122, -203}, },
            {{48, 122, -34}, },
            {{48, 83, -190}, {84, 84, 652}, {85, 122, -190}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 82, -177}, {83, 83, 653}, {84, 122, -28}, },
            {{48, 82, -177}, {83, 83, 654}, {84, 122, -28}, },
            {{48, 79, -195}, {80, 80, 655}, {81, 122, -202}, },
            {{48, 78, -185}, {79, 79, 656}, {80, 122, -29}, },
            {{48, 68, -29}, {69, 69, 657}, {70, 122, -194}, },
            {{48, 82, -177}, {83, 83, 658}, {84, 122, -28}, },
            {{48, 68, -29}, {69, 69, 659}, {70, 122, -194}, },
            {{48, 75, -196}, {76, 76, 660}, {77, 122, -196}, },
            {{48, 81, -193}, {82, 82, 661}, {83, 122, -39}, },
            {{48, 57, 173}, {65, 65, 662}, {66, 122, -38}, },
            {{48, 78, -185}, {79, 79, 663}, {80, 122, -29}, },
            {{48, 68, -29}, {69, 69, 664}, {70, 122, -194}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 75, -196}, {76, 76, 665}, {77, 122, -196}, },
            {{48, 72, -32}, {73, 73, 666}, {74, 122, -225}, },
            {{48, 57, 173}, {65, 65, 667}, {66, 122, -38}, },
            {{48, 68, -29}, {69, 69, 668}, {70, 122, -194}, },
            {{48, 83, -190}, {84, 84, 669}, {85, 122, -190}, },
            {{48, 77, -44}, {78, 78, 670}, {79, 122, -35}, },
            {{48, 76, -186}, {77, 77, 671}, {78, 82, 174}, {83, 83, 672}, {84, 122, -28}, },
            {{48, 76, -186}, {77, 77, 673}, {78, 122, -189}, },
            {{48, 57, 173}, {65, 65, 674}, {66, 78, 174}, {79, 79, 675}, {80, 122, -29}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 75, -196}, {76, 76, 676}, {77, 122, -196}, },
            {{48, 83, -190}, {84, 84, 677}, {85, 122, -190}, },
            {{48, 122, -34}, },
            {{48, 100, -63}, {101, 101, 678}, {102, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 100, -63}, {101, 101, 679}, {102, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 119, -250}, {120, 120, 680}, {121, 122, 179}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 100, -63}, {101, 101, 681}, {102, 122, 179}, },
            {{97, 97, 682}, },
            {{99, 99, 683}, },
            {{48, 83, -190}, {84, 84, 684}, {85, 122, -190}, },
            {{48, 78, -185}, {79, 79, 685}, {80, 122, -29}, },
            {{48, 83, -190}, {84, 84, 686}, {85, 122, -190}, },
            {{48, 68, -29}, {69, 69, 687}, {70, 122, -194}, },
            {{48, 83, -190}, {84, 84, 688}, {85, 122, -190}, },
            {{48, 72, -32}, {73, 73, 689}, {74, 122, -225}, },
            {{48, 68, -29}, {69, 69, 690}, {70, 122, -194}, },
            {{48, 72, -32}, {73, 73, 691}, {74, 122, -225}, },
            {{48, 57, 173}, {65, 65, 692}, {66, 122, -38}, },
            {{48, 88, -178}, {89, 89, 693}, {90, 122, -42}, },
            {{48, 72, -32}, {73, 73, 694}, {74, 122, -225}, },
            {{48, 122, -34}, },
            {{48, 68, -29}, {69, 69, 695}, {70, 122, -194}, },
            {{48, 77, -44}, {78, 78, 696}, {79, 122, -35}, },
            {{48, 77, -44}, {78, 78, 697}, {79, 122, -35}, },
            {{48, 122, -34}, },
            {{48, 82, -177}, {83, 83, 698}, {84, 122, -28}, },
            {{48, 72, -32}, {73, 73, 699}, {74, 122, -225}, },
            {{48, 122, -34}, },
            {{48, 77, -44}, {78, 78, 700}, {79, 122, -35}, },
            {{48, 79, -195}, {80, 80, 701}, {81, 122, -202}, },
            {{48, 122, -34}, },
            {{48, 48, 173}, {49, 49, 702}, {50, 122, -322}, },
            {{48, 78, -185}, {79, 79, 703}, {80, 122, -29}, },
            {{48, 83, -190}, {84, 84, 704}, {85, 122, -190}, },
            {{48, 82, -177}, {83, 83, 705}, {84, 122, -28}, },
            {{48, 72, -32}, {73, 73, 706}, {74, 122, -225}, },
            {{48, 66, -203}, {67, 67, 707}, {68, 122, -205}, },
            {{48, 68, -29}, {69, 69, 708}, {70, 122, -194}, },
            {{48, 122, -34}, },
            {{48, 57, 173}, {65, 65, 709}, {66, 122, -38}, },
            {{48, 72, -32}, {73, 73, 710}, {74, 122, -225}, },
            {{48, 81, -193}, {82, 82, 711}, {83, 122, -39}, },
            {{48, 68, -29}, {69, 69, 712}, {70, 122, -194}, },
            {{48, 122, -34}, },
            {{48, 48, 173}, {49, 49, 713}, {50, 122, -322}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{108, 108, 714}, },
            {{97, 97, 715}, },
            {{48, 90, -34}, {95, 95, 716}, {97, 122, 179}, },
            {{48, 77, -44}, {78, 78, 717}, {79, 122, -35}, },
            {{48, 72, -32}, {73, 73, 718}, {74, 122, -225}, },
            {{48, 90, -34}, {95, 95, 719}, {97, 122, 179}, },
            {{48, 82, -177}, {83, 83, 720}, {84, 122, -28}, },
            {{48, 77, -44}, {78, 78, 721}, {79, 122, -35}, },
            {{48, 57, 173}, {65, 87, 174}, {88, 88, 722}, {89, 122, -32}, },
            {{48, 78, -185}, {79, 79, 723}, {80, 122, -29}, },
            {{48, 75, -196}, {76, 76, 724}, {77, 122, -196}, },
            {{48, 79, -195}, {80, 80, 725}, {81, 122, -202}, },
            {{48, 78, -185}, {79, 79, 726}, {80, 122, -29}, },
            {{48, 82, -177}, {83, 83, 727}, {84, 122, -28}, },
            {{48, 122, -34}, },
            {{48, 83, -190}, {84, 84, 728}, {85, 122, -190}, },
            {{48, 122, -34}, },
            {{48, 82, -177}, {83, 83, 729}, {84, 89, 174}, {90, 90, 730}, {95, 122, -28}, },
            {{48, 83, -190}, {84, 84, 731}, {85, 122, -190}, },
            {{48, 68, -29}, {69, 69, 732}, {70, 122, -194}, },
            {{48, 122, -34}, },
            {{48, 77, -44}, {78, 78, 733}, {79, 122, -35}, },
            {{48, 68, -29}, {69, 69, 734}, {70, 122, -194}, },
            {{48, 122, -34}, },
            {{48, 68, -29}, {69, 69, 735}, {70, 122, -194}, },
            {{48, 68, -29}, {69, 69, 736}, {70, 122, -194}, },
            {{48, 77, -44}, {78, 78, 737}, {79, 122, -35}, },
            {{48, 66, -203}, {67, 67, 738}, {68, 122, -205}, },
            {{48, 75, -196}, {76, 76, 739}, {77, 122, -196}, },
            {{48, 57, 173}, {65, 65, 740}, {66, 122, -38}, },
            {{48, 82, -177}, {83, 83, 741}, {84, 122, -28}, },
            {{48, 122, -34}, },
            {{95, 95, 742}, },
            {{116, 116, 743}, },
            {{48, 66, -203}, {67, 67, 744}, {68, 85, 174}, {86, 86, 745}, {87, 122, -203}, },
            {{48, 82, -177}, {83, 83, 746}, {84, 122, -28}, },
            {{48, 78, -185}, {79, 79, 747}, {80, 122, -29}, },
            {{48, 66, -203}, {67, 67, 748}, {68, 85, 174}, {86, 86, 749}, {87, 122, -203}, },
            {{48, 122, -34}, },
            {{48, 83, -190}, {84, 84, 750}, {85, 122, -190}, },
            {{48, 57, 173}, {65, 65, 751}, {66, 122, -38}, },
            {{48, 77, -44}, {78, 78, 752}, {79, 122, -35}, },
            {{48, 84, -223}, {85, 85, 753}, {86, 122, -31}, },
            {{48, 68, -29}, {69, 69, 754}, {70, 122, -194}, },
            {{48, 77, -44}, {78, 78, 755}, {79, 122, -35}, },
            {{48, 122, -34}, },
            {{48, 57, 173}, {65, 65, 756}, {66, 122, -38}, },
            {{48, 57, 173}, {65, 65, 757}, {66, 122, -38}, },
            {{48, 57, 173}, {65, 65, 758}, {66, 122, -38}, },
            {{48, 122, -34}, },
            {{48, 81, -193}, {82, 82, 759}, {83, 122, -39}, },
            {{48, 82, -177}, {83, 83, 760}, {84, 122, -28}, },
            {{48, 82, -177}, {83, 83, 761}, {84, 122, -28}, },
            {{48, 82, -177}, {83, 83, 762}, {84, 122, -28}, },
            {{48, 82, -177}, {83, 83, 763}, {84, 122, -28}, },
            {{48, 83, -190}, {84, 84, 764}, {85, 122, -190}, },
            {{48, 71, -43}, {72, 72, 765}, {73, 122, -46}, },
            {{48, 122, -34}, },
            {{48, 75, -196}, {76, 76, 766}, {77, 122, -196}, },
            {{48, 122, -34}, },
            {{112, 112, 767}, {115, 115, 768}, },
            {{101, 101, 769}, },
            {{48, 78, -185}, {79, 79, 770}, {80, 122, -29}, },
            {{48, 57, 173}, {65, 65, 771}, {66, 122, -38}, },
            {{48, 122, -34}, },
            {{48, 77, -44}, {78, 78, 772}, {79, 122, -35}, },
            {{48, 78, -185}, {79, 79, 773}, {80, 122, -29}, },
            {{48, 57, 173}, {65, 65, 774}, {66, 122, -38}, },
            {{48, 82, -177}, {83, 83, 775}, {84, 122, -28}, },
            {{48, 76, -186}, {77, 77, 776}, {78, 122, -189}, },
            {{48, 82, -177}, {83, 83, 777}, {84, 122, -28}, },
            {{48, 68, -29}, {69, 69, 778}, {70, 122, -194}, },
            {{48, 122, -34}, },
            {{48, 82, -177}, {83, 83, 779}, {84, 122, -28}, },
            {{48, 83, -190}, {84, 84, 780}, {85, 122, -190}, },
            {{48, 83, -190}, {84, 84, 781}, {85, 122, -190}, },
            {{48, 83, -190}, {84, 84, 782}, {85, 122, -190}, },
            {{48, 57, 173}, {65, 65, 783}, {66, 122, -38}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 72, -32}, {73, 73, 784}, {74, 122, -225}, },
            {{48, 75, -196}, {76, 76, 785}, {77, 122, -196}, },
            {{114, 114, 786}, },
            {{117, 117, 787}, },
            {{95, 95, 788}, },
            {{48, 77, -44}, {78, 78, 789}, {79, 122, -35}, },
            {{48, 81, -193}, {82, 82, 790}, {83, 122, -39}, },
            {{48, 122, -34}, },
            {{48, 77, -44}, {78, 78, 791}, {79, 122, -35}, },
            {{48, 81, -193}, {82, 82, 792}, {83, 122, -39}, },
            {{48, 122, -34}, },
            {{48, 79, -195}, {80, 80, 793}, {81, 122, -202}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 72, -32}, {73, 73, 794}, {74, 122, -225}, },
            {{48, 72, -32}, {73, 73, 795}, {74, 122, -225}, },
            {{48, 72, -32}, {73, 73, 796}, {74, 122, -225}, },
            {{48, 83, -190}, {84, 84, 797}, {85, 122, -190}, },
            {{48, 77, -44}, {78, 78, 798}, {79, 122, -35}, },
            {{48, 122, -34}, },
            {{101, 101, 799}, },
            {{98, 98, 800}, },
            {{105, 105, 801}, },
            {{48, 82, -177}, {83, 83, 802}, {84, 122, -28}, },
            {{48, 72, -32}, {73, 73, 803}, {74, 122, -225}, },
            {{48, 82, -177}, {83, 83, 804}, {84, 122, -28}, },
            {{48, 72, -32}, {73, 73, 805}, {74, 122, -225}, },
            {{48, 75, -196}, {76, 76, 806}, {77, 122, -196}, },
            {{48, 78, -185}, {79, 79, 807}, {80, 122, -29}, },
            {{48, 78, -185}, {79, 79, 808}, {80, 122, -29}, },
            {{48, 78, -185}, {79, 79, 809}, {80, 122, -29}, },
            {{48, 72, -32}, {73, 73, 810}, {74, 122, -225}, },
            {{48, 68, -29}, {69, 69, 811}, {70, 122, -194}, },
            {{100, 100, 812}, },
            {{115, 115, 813}, },
            {{100, 100, 814}, },
            {{48, 83, -190}, {84, 84, 815}, {85, 122, -190}, },
            {{48, 57, 173}, {65, 65, 816}, {66, 122, -38}, },
            {{48, 83, -190}, {84, 84, 817}, {85, 122, -190}, },
            {{48, 57, 173}, {65, 65, 818}, {66, 122, -38}, },
            {{48, 68, -29}, {69, 69, 819}, {70, 122, -194}, },
            {{48, 77, -44}, {78, 78, 820}, {79, 122, -35}, },
            {{48, 77, -44}, {78, 78, 821}, {79, 122, -35}, },
            {{48, 77, -44}, {78, 78, 822}, {79, 122, -35}, },
            {{48, 78, -185}, {79, 79, 823}, {80, 122, -29}, },
            {{48, 122, -34}, },
            {{105, 105, 824}, },
            {{116, 116, 825}, },
            {{101, 101, 826}, },
            {{48, 57, 173}, {65, 65, 827}, {66, 122, -38}, },
            {{48, 65, -28}, {66, 66, 828}, {67, 90, 174}, {95, 122, -28}, },
            {{48, 57, 173}, {65, 65, 829}, {66, 122, -38}, },
            {{48, 65, -28}, {66, 66, 830}, {67, 122, -818}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 77, -44}, {78, 78, 831}, {79, 122, -35}, },
            {{99, 99, 832}, },
            {{105, 105, 833}, },
            {{110, 110, 834}, },
            {{48, 77, -44}, {78, 78, 835}, {79, 122, -35}, },
            {{48, 75, -196}, {76, 76, 836}, {77, 122, -196}, },
            {{48, 77, -44}, {78, 78, 837}, {79, 122, -35}, },
            {{48, 75, -196}, {76, 76, 838}, {77, 122, -196}, },
            {{48, 82, -177}, {83, 83, 839}, {84, 122, -28}, },
            {{97, 97, 840}, },
            {{116, 116, 841}, },
            {{116, 116, 842}, },
            {{48, 83, -190}, {84, 84, 843}, {85, 122, -190}, },
            {{48, 68, -29}, {69, 69, 844}, {70, 122, -194}, },
            {{48, 83, -190}, {84, 84, 845}, {85, 122, -190}, },
            {{48, 68, -29}, {69, 69, 846}, {70, 122, -194}, },
            {{48, 122, -34}, },
            {{116, 116, 847}, },
            {{117, 117, 848}, },
            {{105, 105, 849}, },
            {{48, 82, -177}, {83, 83, 850}, {84, 122, -28}, },
            {{48, 82, -177}, {83, 83, 851}, {84, 122, -28}, },
            {{48, 82, -177}, {83, 83, 852}, {84, 122, -28}, },
            {{48, 82, -177}, {83, 83, 853}, {84, 122, -28}, },
            {{101, 101, 854}, },
            {{116, 116, 855}, },
            {{102, 102, 856}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{48, 122, -34}, },
            {{65, 90, 857}, {97, 122, 858}, },
            {{105, 105, 859}, },
            {{105, 105, 860}, },
            {{65, 122, -856}, },
            {{65, 122, -856}, },
            {{111, 111, 861}, },
            {{101, 101, 862}, },
            {{110, 110, 863}, },
            {{114, 114, 864}, },
            {{65, 90, 865}, {97, 122, 866}, },
            {{65, 90, 867}, {97, 122, 868}, },
            {{65, 122, -865}, },
            {{65, 122, -865}, },
            {{65, 122, -866}, },
            {{65, 122, -866}, },
        }
        { // COMMENT
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {33, 41, 3}, {42, 42, 4}, {43, 46, 3}, {47, 47, 5}, {48, 126, 3}, {127, 160, 1}, {161, 8205, 3}, {8206, 8207, 1}, {8208, 8231, 3}, {8232, 8233, 1}, {8234, 65535, 3}, },
            {{0, 9, 1}, {10, 10, 3}, {11, 12, 1}, {13, 13, 3}, {14, 41, -2}, {43, 46, 3}, {48, 65535, -2}, },
            {{0, 41, 3}, {43, 46, 3}, {48, 65535, 3}, },
            {{0, 65535, -4}, },
            {{47, 47, 6}, },
            {},
            {},
        }
        { // MULTILINE_STRING_STATE
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {33, 38, 3}, {39, 39, 4}, {40, 91, 3}, {92, 92, 5}, {93, 126, 3}, {127, 160, 1}, {161, 8205, 3}, {8206, 8207, 1}, {8208, 8231, 3}, {8232, 8233, 1}, {8234, 65535, 3}, },
            {{0, 9, 1}, {10, 10, 3}, {11, 12, 1}, {13, 13, 3}, {14, 38, -2}, {39, 39, 6}, {40, 65535, -2}, },
            {{0, 38, 3}, {39, 92, -3}, {93, 65535, 3}, },
            {{0, 65535, -4}, },
            {{0, 38, 7}, {39, 39, 8}, {40, 65535, 7}, },
            {{0, 38, 3}, {39, 39, 9}, {40, 65535, -4}, },
            {{0, 38, 7}, {39, 39, 10}, {40, 65535, 7}, },
            {{0, 65535, -4}, },
            {{0, 38, 11}, {39, 39, 12}, {40, 65535, 11}, },
            {{0, 38, 13}, {39, 39, 14}, {40, 91, 13}, {92, 92, 15}, {93, 65535, 13}, },
            {{0, 38, 11}, {40, 65535, 11}, },
            {{0, 65535, -4}, },
            {},
            {{0, 65535, -4}, },
            {{0, 38, 16}, {39, 39, 10}, {40, 65535, 16}, },
            {{0, 65535, -7}, },
            {{0, 65535, -4}, },
        }
        { // SHEBANG
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {33, 34, 3}, {35, 35, 4}, {36, 126, 3}, {127, 160, 1}, {161, 8205, 3}, {8206, 8207, 1}, {8208, 8231, 3}, {8232, 8233, 1}, {8234, 65535, 3}, },
            {{0, 9, 5}, {11, 12, 5}, {14, 32, 5}, {127, 160, 5}, {8206, 8207, 5}, {8232, 8233, 5}, },
            {},
            {},
            {{33, 33, 6}, },
            {{0, 8233, -3}, },
            {},
        }
        { // PRAGMA
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {33, 33, 3}, {34, 34, 4}, {35, 41, 3}, {42, 42, 5}, {43, 64, 3}, {65, 90, 6}, {91, 96, 3}, {97, 98, 7}, {99, 99, 8}, {100, 100, 9}, {101, 101, 7}, {102, 102, 10}, {103, 103, 11}, {104, 104, 7}, {105, 105, 12}, {106, 107, 7}, {108, 108, 13}, {109, 109, 7}, {110, 110, 14}, {111, 111, 7}, {112, 112, 15}, {113, 114, 7}, {115, 115, 16}, {116, 116, 7}, {117, 117, 17}, {118, 122, 7}, {123, 126, 3}, {127, 160, 1}, {191, 254, 3}, {8206, 8207, 1}, {8232, 8233, 1}, },
            {{0, 9, 1}, {11, 12, 1}, {14, 32, 1}, {127, 160, 1}, {8206, 8233, -2}, },
            {},
            {{33, 33, 3}, {35, 41, 3}, {43, 126, 3}, {191, 254, 3}, },
            {{0, 9, 18}, {11, 12, 18}, {14, 33, 18}, {34, 34, 19}, {35, 91, 18}, {92, 92, 20}, {93, 65535, 18}, },
            {{47, 47, 21}, },
            {{33, 41, -5}, {43, 47, 3}, {48, 57, 22}, {58, 64, 3}, {65, 90, 23}, {91, 94, 3}, {95, 95, 24}, {96, 96, 3}, {97, 122, 25}, {123, 126, 3}, {191, 254, 3}, },
            {{33, 254, -8}, },
            {{33, 96, -8}, {97, 110, 25}, {111, 111, 26}, {112, 122, 25}, {123, 254, -8}, },
            {{33, 96, -8}, {97, 100, 25}, {101, 101, 27}, {102, 122, 25}, {123, 254, -8}, },
            {{33, 96, -8}, {97, 104, 25}, {105, 105, 28}, {106, 122, 25}, {123, 254, -8}, },
            {{33, 100, -11}, {101, 101, 29}, {102, 254, -11}, },
            {{33, 96, -8}, {97, 108, 25}, {109, 109, 30}, {110, 110, 31}, {111, 122, 25}, {123, 254, -8}, },
            {{33, 96, -8}, {97, 97, 32}, {98, 122, 25}, {123, 254, -8}, },
            {{33, 100, -11}, {101, 101, 33}, {102, 254, -11}, },
            {{33, 96, -8}, {97, 97, 34}, {98, 254, -15}, },
            {{33, 96, -8}, {97, 120, 25}, {121, 121, 35}, {122, 122, 25}, {123, 254, -8}, },
            {{33, 96, -8}, {97, 109, 25}, {110, 110, 36}, {111, 254, -14}, },
            {{0, 65535, -6}, },
            {},
            {{0, 9, 37}, {11, 12, 37}, {14, 65535, 37}, },
            {},
            {{33, 254, -8}, },
            {{33, 254, -8}, },
            {{33, 254, -8}, },
            {{33, 254, -8}, },
            {{33, 109, -19}, {110, 110, 38}, {111, 254, -14}, },
            {{33, 96, -8}, {97, 114, 25}, {115, 115, 39}, {116, 122, 25}, {123, 254, -8}, },
            {{33, 96, -8}, {97, 107, 25}, {108, 108, 40}, {109, 122, 25}, {123, 254, -8}, },
            {{33, 109, -19}, {110, 110, 41}, {111, 254, -14}, },
            {{33, 96, -8}, {97, 111, 25}, {112, 112, 42}, {113, 122, 25}, {123, 254, -8}, },
            {{33, 96, -8}, {97, 101, 25}, {102, 102, 43}, {103, 122, 25}, {123, 254, -8}, },
            {{33, 96, -8}, {97, 97, 25}, {98, 98, 44}, {99, 122, 25}, {123, 254, -8}, },
            {{33, 96, -8}, {97, 118, 25}, {119, 119, 45}, {120, 122, 25}, {123, 254, -8}, },
            {{33, 96, -8}, {97, 98, 25}, {99, 99, 46}, {100, 122, 25}, {123, 254, -8}, },
            {{33, 108, -14}, {109, 109, 47}, {110, 122, 25}, {123, 254, -8}, },
            {{33, 104, -12}, {105, 105, 48}, {106, 254, -12}, },
            {{0, 65535, -6}, },
            {{33, 96, -8}, {97, 117, 25}, {118, 118, 49}, {119, 122, 25}, {123, 254, -8}, },
            {{33, 98, -36}, {99, 99, 50}, {100, 254, -36}, },
            {{33, 100, -11}, {101, 101, 51}, {102, 254, -11}, },
            {{33, 100, -11}, {101, 101, 52}, {102, 254, -11}, },
            {{33, 110, -10}, {111, 111, 53}, {112, 254, -10}, },
            {{33, 100, -11}, {101, 101, 54}, {102, 254, -11}, },
            {{33, 100, -11}, {101, 101, 55}, {102, 254, -11}, },
            {{33, 94, -8}, {95, 95, 56}, {96, 254, -8}, },
            {{33, 96, -8}, {97, 106, 25}, {107, 107, 57}, {108, 122, 25}, {123, 254, -8}, },
            {{33, 97, -34}, {98, 98, 58}, {99, 254, -34}, },
            {{33, 96, -8}, {97, 115, 25}, {116, 116, 59}, {117, 122, 25}, {123, 254, -8}, },
            {{33, 100, -11}, {101, 101, 60}, {102, 254, -11}, },
            {{33, 96, -8}, {97, 113, 25}, {114, 114, 61}, {115, 122, 25}, {123, 254, -8}, },
            {{33, 254, -8}, },
            {{33, 113, -52}, {114, 114, 62}, {115, 254, -52}, },
            {{33, 113, -52}, {114, 114, 63}, {115, 254, -52}, },
            {{33, 113, -52}, {114, 114, 64}, {115, 254, -52}, },
            {{33, 107, -30}, {108, 108, 65}, {109, 254, -30}, },
            {{33, 96, -8}, {97, 116, 25}, {117, 117, 66}, {118, 122, 25}, {123, 254, -8}, },
            {{33, 96, -8}, {97, 97, 67}, {98, 254, -15}, },
            {{33, 110, -10}, {111, 111, 68}, {112, 254, -10}, },
            {{33, 94, -8}, {95, 95, 69}, {96, 254, -8}, },
            {{33, 113, -52}, {114, 114, 70}, {115, 254, -52}, },
            {{33, 104, -12}, {105, 105, 71}, {106, 254, -12}, },
            {{33, 96, -8}, {97, 97, 72}, {98, 254, -15}, },
            {{33, 115, -50}, {116, 116, 73}, {117, 254, -50}, },
            {{33, 113, -52}, {114, 114, 74}, {115, 254, -52}, },
            {{33, 254, -8}, },
            {{33, 109, -19}, {110, 110, 75}, {111, 254, -14}, },
            {{33, 96, -8}, {97, 102, 25}, {103, 103, 76}, {104, 122, 25}, {123, 254, -8}, },
            {{33, 107, -30}, {108, 108, 77}, {109, 254, -30}, },
            {{33, 96, -8}, {97, 97, 78}, {98, 254, -15}, },
            {{33, 114, -29}, {115, 115, 79}, {116, 254, -29}, },
            {{33, 111, -32}, {112, 112, 80}, {113, 254, -32}, },
            {{33, 115, -50}, {116, 116, 81}, {117, 254, -50}, },
            {{33, 41, -5}, {43, 44, 3}, {45, 45, 82}, {46, 47, 3}, {48, 94, -8}, {95, 95, 83}, {96, 254, -8}, },
            {{33, 100, -11}, {101, 101, 84}, {102, 254, -11}, },
            {{33, 104, -12}, {105, 105, 85}, {106, 254, -12}, },
            {{33, 100, -11}, {101, 101, 86}, {102, 254, -11}, },
            {{33, 104, -12}, {105, 105, 87}, {106, 254, -12}, },
            {{33, 107, -30}, {108, 108, 88}, {109, 254, -30}, },
            {{33, 104, -12}, {105, 105, 89}, {106, 254, -12}, },
            {{33, 115, -50}, {116, 116, 90}, {117, 254, -50}, },
            {{33, 100, -11}, {101, 101, 91}, {102, 254, -11}, },
            {{33, 41, -5}, {43, 111, 3}, {112, 112, 92}, {113, 126, 3}, {191, 254, 3}, },
            {{33, 111, -32}, {112, 112, 93}, {113, 254, -32}, },
            {{33, 96, -8}, {97, 99, 25}, {100, 100, 94}, {101, 122, 25}, {123, 254, -8}, },
            {{33, 115, -50}, {116, 116, 95}, {117, 254, -50}, },
            {{33, 254, -8}, },
            {{33, 98, -36}, {99, 99, 96}, {100, 254, -36}, },
            {{33, 104, -12}, {105, 105, 97}, {106, 254, -12}, },
            {{33, 110, -10}, {111, 111, 98}, {112, 254, -10}, },
            {{33, 104, -12}, {105, 105, 99}, {106, 254, -12}, },
            {{33, 99, -86}, {100, 100, 100}, {101, 254, -86}, },
            {{33, 41, -5}, {43, 96, 3}, {97, 97, 101}, {98, 126, 3}, {191, 254, 3}, },
            {{33, 96, -8}, {97, 97, 102}, {98, 254, -15}, },
            {{33, 94, -8}, {95, 95, 103}, {96, 254, -8}, },
            {{33, 254, -8}, },
            {{33, 254, -8}, },
            {{33, 96, -8}, {97, 97, 104}, {98, 254, -15}, },
            {{33, 109, -19}, {110, 110, 105}, {111, 254, -14}, },
            {{33, 110, -10}, {111, 111, 106}, {112, 254, -10}, },
            {{33, 254, -8}, },
            {{33, 41, -5}, {43, 98, 3}, {99, 99, 107}, {100, 126, 3}, {191, 254, 3}, },
            {{33, 98, -36}, {99, 99, 108}, {100, 254, -36}, },
            {{33, 116, -58}, {117, 117, 109}, {118, 254, -58}, },
            {{33, 114, -29}, {115, 115, 110}, {116, 254, -29}, },
            {{33, 254, -8}, },
            {{33, 109, -19}, {110, 110, 111}, {111, 254, -14}, },
            {{33, 41, -5}, {43, 106, 3}, {107, 107, 112}, {108, 126, 3}, {191, 254, 3}, },
            {{33, 106, -48}, {107, 107, 113}, {108, 254, -48}, },
            {{33, 109, -19}, {110, 110, 114}, {111, 254, -14}, },
            {{33, 254, -8}, },
            {{33, 254, -8}, },
            {{33, 96, -94}, {97, 97, 115}, {98, 254, -94}, },
            {{33, 96, -8}, {97, 97, 116}, {98, 254, -15}, },
            {{33, 104, -12}, {105, 105, 117}, {106, 254, -12}, },
            {{33, 41, -5}, {43, 102, 3}, {103, 103, 118}, {104, 126, 3}, {191, 254, 3}, },
            {{33, 102, -69}, {103, 103, 119}, {104, 254, -69}, },
            {{33, 115, -50}, {116, 116, 120}, {117, 254, -50}, },
            {{33, 41, -5}, {43, 100, 3}, {101, 101, 121}, {102, 126, 3}, {191, 254, 3}, },
            {{33, 100, -11}, {101, 101, 122}, {102, 254, -11}, },
            {{33, 254, -8}, },
            {{33, 254, -5}, },
            {{33, 254, -8}, },
        }
        { // DESCRIPTION
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {33, 41, 3}, {42, 42, 4}, {43, 46, 3}, {47, 47, 5}, {48, 126, 3}, {127, 160, 1}, {161, 8205, 3}, {8206, 8207, 1}, {8208, 8231, 3}, {8232, 8233, 1}, {8234, 65535, 3}, },
            {{0, 9, 1}, {10, 10, 3}, {11, 12, 1}, {13, 13, 3}, {14, 41, -2}, {43, 46, 3}, {48, 65535, -2}, },
            {{0, 41, 3}, {43, 46, 3}, {48, 65535, 3}, },
            {{0, 65535, -4}, },
            {{47, 47, 6}, },
            {},
            {},
        }
        { // UNIT
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {34, 34, 3}, {42, 42, 4}, {65, 90, 5}, {97, 122, 6}, {127, 160, 1}, {8206, 8207, 1}, {8232, 8233, 1}, },
            {{0, 9, 1}, {11, 12, 1}, {14, 32, 1}, {127, 8233, -2}, },
            {},
            {{0, 9, 7}, {11, 12, 7}, {14, 33, 7}, {34, 34, 8}, {35, 91, 7}, {92, 92, 9}, {93, 65535, 7}, },
            {{47, 47, 10}, },
            {{48, 57, 11}, {65, 90, 12}, {95, 95, 13}, {97, 122, 14}, },
            {{48, 122, -7}, },
            {{0, 65535, -5}, },
            {},
            {{0, 9, 15}, {11, 12, 15}, {14, 65535, 15}, },
            {},
            {{48, 122, -7}, },
            {{48, 122, -7}, },
            {{48, 122, -7}, },
            {{48, 122, -7}, },
            {{0, 65535, -5}, },
        }
    };*/

    private static int[][] accept;
/*  {
        // SECTION
        {-1, 269, 269, -1, -1, -1, 262, 262, 262, 262, 262, 262, 262, 0, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 22, 3, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 27, 4, 3, 3, 262, 262, 262, 262, 262, 262, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 262, 262, 262, 262, 262, 262, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 254, 255, -1, 256, -1, -1, 262, 262, 262, 124, 262, 262, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 262, 262, 262, 262, 125, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 258, -1, 262, 262, 123, 262, -1, -1, -1, -1, -1, -1, -1, 245, 234, 246, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 262, 262, 262, -1, -1, -1, -1, -1, -1, -1, 247, -1, -1, -1, -1, -1, -1, -1, 252, -1, -1, -1, 262, 262, 262, -1, -1, -1, 241, -1, -1, -1, -1, 249, -1, -1, -1, 259, 233, -1, -1, 257, 262, 262, 142, -1, -1, 238, -1, -1, -1, 244, 232, -1, -1, -1, 251, 253, -1, 99, 262, -1, -1, -1, -1, 242, 243, -1, -1, -1, -1, 262, -1, -1, -1, -1, -1, -1, -1, 235, 262, -1, -1, -1, -1, -1, -1, 260, 112, -1, -1, -1, -1, 248, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 250, -1, -1, -1, -1, 236, 237, 239, 240, },
        // NORMAL
        {-1, 269, 269, 31, -1, 32, 33, 34, 35, 36, 37, 38, 39, 41, 44, 45, 49, 51, 266, 266, 59, 62, 63, 74, 77, -1, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 160, 56, 161, 164, 268, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 220, 222, 221, 227, 191, 49, 39, 51, 34, 50, -1, 130, 136, 118, 67, 58, 46, 163, 65, 47, 79, 224, 76, 72, 42, 66, 48, 31, 32, 219, 59, 52, 135, 147, 45, 222, 223, 35, 192, 57, 162, 227, 55, 71, 83, 69, 54, 68, 53, 82, 261, 92, 119, 151, 64, 164, 226, 225, 70, 73, 43, 78, 81, 70, 226, 228, 229, 230, 64, -1, 30, -1, 0, -1, 40, -1, -1, -1, 48, -1, 50, 22, 3, 52, -1, 55, 57, -1, -1, 60, 61, 60, 64, 66, 68, -1, 71, 73, -1, 75, 76, -1, -1, 82, 83, -1, -1, 262, 262, 262, 262, 262, 262, 262, 89, 262, 262, 262, 262, 262, 102, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 111, 262, 114, 262, 262, 262, 262, 262, 262, 132, 262, 134, 135, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 162, -1, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 179, 262, 262, 262, 262, 262, 262, 262, 262, 262, 192, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, -1, 225, 223, 227, 131, 131, 137, 137, -1, 27, 42, 46, 4, 3, 3, 53, -1, 58, 267, 67, 65, -1, 69, 70, -1, 72, 78, 79, -1, -1, 262, 86, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 106, 262, 262, 262, 262, 262, 109, 262, 262, 262, 262, 262, 262, 117, 262, 121, 262, 262, 262, 262, 262, 128, 262, 136, 138, 262, 262, 262, 262, 262, 146, 262, 262, 262, 262, 262, 262, 262, 262, 262, 154, 262, 262, 163, 262, 262, 166, 262, 262, 262, 262, 262, 174, 262, 262, 177, 262, 262, 262, 262, 262, 262, 262, 187, 188, 262, 190, 191, 262, 262, 262, 262, 200, 201, 202, 203, 262, 205, 262, 262, 211, 262, 262, 262, 262, 216, 262, 262, 224, 226, 43, 47, 54, 229, 228, 80, 81, -1, -1, 262, 262, 262, 262, 91, 93, 262, 262, 262, 262, 262, 262, 262, 262, 104, 262, 262, 262, 262, 262, 262, 262, 110, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 129, 262, 262, 137, 262, 262, 262, 262, 262, 262, 143, 262, 145, 262, 262, 262, 149, 150, 262, 262, 152, 262, 262, 157, 262, 262, 262, 262, 167, 262, 262, 169, 262, 172, 262, 262, 262, 262, 262, 262, 182, 262, 185, 186, 262, 193, 262, 195, 262, 197, 198, 199, 262, 206, 208, 209, 210, 262, 262, 214, 215, 217, 262, 230, -1, -1, 262, 262, 90, 262, 262, 262, 262, 262, 262, 262, 262, 105, 262, 262, 262, 262, 262, 108, 262, 262, 262, 262, 262, 262, 262, 119, 262, 262, 262, 262, 262, 124, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 147, 262, 262, 151, 262, 262, 158, 159, 165, 262, 168, 261, 262, 173, 262, 176, 178, 180, 181, 183, 262, 262, 262, 262, 204, 207, 262, 262, 218, -1, -1, 262, 87, 94, 262, 262, 262, 262, 262, 262, 262, 262, 103, 262, 133, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 126, 127, 262, 262, 262, 262, 262, 262, 262, 262, 262, 144, 148, 125, 153, 262, 262, 92, 262, 175, 262, 189, 262, 196, 212, 262, -1, -1, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 107, 262, 262, 262, 113, 262, 262, 118, 262, 262, 123, 130, 262, 262, 262, 262, 262, 262, 141, 262, 262, 262, 262, 155, 170, 184, 194, 213, -1, -1, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 115, 262, 262, 262, 131, 262, 262, 139, 262, 262, 262, 262, 262, 262, 262, 171, -1, -1, 262, 262, 262, 262, 97, 262, 262, 262, 262, 262, 262, 231, 262, 262, 262, 120, 262, 262, 262, 262, 262, 262, 262, 262, 262, 156, -1, -1, 262, 262, 88, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, 133, 101, 140, 262, 142, 262, 262, -1, -1, -1, 262, 262, 262, 262, 262, 98, 262, 99, 262, 100, 262, 262, 262, 262, 262, 262, -1, -1, -1, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, -1, -1, -1, 262, 262, 262, 262, 262, 262, 262, 262, 262, 262, -1, -1, -1, 262, 262, 262, 262, 262, 112, 116, 116, 262, -1, -1, -1, 262, 262, 262, 262, 262, -1, -1, -1, 262, 262, 262, 262, 122, -1, -1, -1, 262, 262, 262, 262, -1, -1, -1, 84, 85, 95, 96, 264, -1, -1, 264, 264, -1, -1, -1, -1, 263, 265, 263, 263, 265, 265, },
        // COMMENT
        {24, 24, 24, 24, 25, 26, 23, },
        // MULTILINE_STRING_STATE
        {29, 29, 29, 29, -1, 29, -1, 29, -1, 29, -1, 29, 28, 29, -1, 29, 29, },
        // SHEBANG
        {-1, 2, 1, 2, 2, 269, 0, },
        // PRAGMA
        {-1, 269, 269, 18, -1, -1, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, -1, 18, -1, 5, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, -1, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 16, 13, 18, 18, 18, 18, 18, 18, 18, 6, 18, 18, 18, 18, 18, 12, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 14, 18, 18, 18, 18, 18, 18, 18, 18, 7, 11, 18, 18, 18, 10, 18, 18, 18, 18, 17, 18, 18, 18, 18, 9, 16, 18, 18, 18, 18, 18, 18, 18, 18, 8, 15, 15, },
        // DESCRIPTION
        {19, 19, 19, 19, 25, 26, 23, },
        // UNIT
        {-1, 269, 269, -1, -1, 21, 21, -1, 20, -1, 5, 21, 21, 21, 21, -1, },

    };*/

    public static class State
    {
        public final static State SECTION = new State(0);
        public final static State NORMAL = new State(1);
        public final static State COMMENT = new State(2);
        public final static State MULTILINE_STRING_STATE = new State(3);
        public final static State SHEBANG = new State(4);
        public final static State PRAGMA = new State(5);
        public final static State DESCRIPTION = new State(6);
        public final static State UNIT = new State(7);

        private int id;

        private State(  int id)
        {
            this.id = id;
        }

        public int id()
        {
            return this.id;
        }
    }

    static 
    {
        try
        {
            DataInputStream s = new DataInputStream(
                new BufferedInputStream(
                Lexer.class.getResourceAsStream("lexer.dat")));

            // read gotoTable
            int length = s.readInt();
            gotoTable = new int[length][][][];
            for(int i = 0; i < gotoTable.length; i++)
            {
                length = s.readInt();
                gotoTable[i] = new int[length][][];
                for(int j = 0; j < gotoTable[i].length; j++)
                {
                    length = s.readInt();
                    gotoTable[i][j] = new int[length][3];
                    for(int k = 0; k < gotoTable[i][j].length; k++)
                    {
                        for(int l = 0; l < 3; l++)
                        {
                            gotoTable[i][j][k][l] = s.readInt();
                        }
                    }
                }
            }

            // read accept
            length = s.readInt();
            accept = new int[length][];
            for(int i = 0; i < accept.length; i++)
            {
                length = s.readInt();
                accept[i] = new int[length];
                for(int j = 0; j < accept[i].length; j++)
                {
                    accept[i][j] = s.readInt();
                }
            }

            s.close();
        }
        catch(Exception e)
        {
            throw new RuntimeException("The file \"lexer.dat\" is either missing or corrupted.");
        }
    }
}
